-- Adminer 4.8.1 MySQL 8.0.36-0ubuntu0.20.04.1 dump

SET NAMES utf8;
SET time_zone = '+00:00';
SET foreign_key_checks = 0;
SET sql_mode = 'NO_AUTO_VALUE_ON_ZERO';

SET NAMES utf8mb4;

DROP TABLE IF EXISTS `data`;
CREATE TABLE `data` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `link` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `data` (`id`, `name`, `link`, `created_at`, `updated_at`) VALUES
(1,	'Json',	'https://pivotcontrol.ritecontrol.com/RecipeFiles/6BjzkHoN46if.json',	'2023-12-27 02:28:39',	'2023-12-27 02:28:39');

DROP TABLE IF EXISTS `failed_jobs`;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `infos`;
CREATE TABLE `infos` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Version` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ProjectName` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `PivotCount` int NOT NULL,
  `PumpProject` int NOT NULL,
  `PumpProjectName` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `Maps` int NOT NULL,
  `MapsName` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `infos` (`id`, `user_id`, `Version`, `ProjectName`, `PivotCount`, `PumpProject`, `PumpProjectName`, `Maps`, `MapsName`, `created_at`, `updated_at`) VALUES
(15,	'10',	'version',	'projectname',	101,	1,	'pump projectname',	0,	'maps name',	'2023-12-30 11:04:42',	'2023-12-30 12:12:27'),
(16,	'18',	'3',	'Forest River',	30,	1,	'FRC Pumps',	0,	'FRC Maps',	'2023-12-30 19:42:10',	'2024-02-16 21:20:50'),
(17,	'19',	'3',	'FM523',	101,	1,	'FRC Pumps',	0,	'FRC Maps',	'2024-01-20 11:24:09',	'2024-04-19 07:33:43'),
(18,	'20',	'3',	'East Raymond',	30,	0,	'Pumps',	0,	'Maps',	'2024-01-26 09:18:57',	'2024-02-16 01:13:47'),
(19,	'29',	'3',	'Pivot Control 2024',	100,	1,	'Pumps',	1,	'Maps',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01');

DROP TABLE IF EXISTS `logs`;
CREATE TABLE `logs` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `logs_chk_1` CHECK (json_valid(`data`))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `logs` (`id`, `user_id`, `action`, `data`, `created_at`, `updated_at`) VALUES
(1,	'10',	'update_pivot',	'{\"PivotID\":\"PivotID1\",\"PivotName\":\"Pivot 1\",\"IPAddress\":\"frcirr.dyndns.org\",\"PivotPort\":\"44444\",\"PLCType\":\"S\"}',	'2024-01-02 12:08:15',	'2024-01-02 12:08:15'),
(2,	'10',	'update_pivot',	'{\"PivotID\":\"PivotID1\",\"PivotName\":\"Pivot 1\",\"IPAddress\":\"frcirr.dyndns.org\",\"PivotPort\":\"44443\",\"PLCType\":\"S\"}',	'2024-01-02 12:08:31',	'2024-01-02 12:08:31'),
(3,	'10',	'update_pivot',	'{\"PivotID\":\"PivotID1\",\"PivotName\":\"Section 34\",\"IPAddress\":\"frcirr.dyndns.org\",\"PivotPort\":\"44101\",\"PLCType\":\"S\"}',	'2024-01-03 01:38:31',	'2024-01-03 01:38:31'),
(4,	'10',	'update_pivot',	'{\"PivotID\":\"PivotID1\",\"PivotName\":\"Pivot 1\",\"IPAddress\":\"frcirr.dyndns.org\",\"PivotPort\":\"44101\",\"PLCType\":\"S\"}',	'2024-01-03 11:00:56',	'2024-01-03 11:00:56'),
(5,	'10',	'update_pivot',	'{\"PivotID\":\"PivotID1\",\"PivotName\":\"Section 34\",\"IPAddress\":\"frcirr.dyndns.org\",\"PivotPort\":\"44101\",\"PLCType\":\"S\"}',	'2024-01-23 01:54:16',	'2024-01-23 01:54:16'),
(6,	'10',	'update_pivot',	'{\"PivotID\":\"PivotID1\",\"PivotName\":\"Pivot 1\",\"IPAddress\":\"frcirr.dyndns.org\",\"PivotPort\":\"44101\",\"PLCType\":\"S\"}',	'2024-02-16 10:28:37',	'2024-02-16 10:28:37'),
(7,	'10',	'update_pivot',	'{\"PivotID\":\"PivotID1\",\"PivotName\":\"Pivot 1\",\"IPAddress\":\"frcirr.dyndns.org\",\"PivotPort\":\"44101\",\"PLCType\":\"S\"}',	'2024-02-16 10:56:52',	'2024-02-16 10:56:52');

DROP TABLE IF EXISTS `migrations`;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `migrations` (`id`, `migration`, `batch`) VALUES
(1,	'2014_10_12_100000_create_password_resets_table',	1),
(2,	'2019_04_15_191331679173_create_1555355612601_permissions_table',	1),
(3,	'2019_04_15_191331731390_create_1555355612581_roles_table',	1),
(4,	'2019_04_15_191331779537_create_1555355612782_users_table',	1),
(5,	'2019_04_15_191332603432_create_1555355612603_permission_role_pivot_table',	1),
(6,	'2019_04_15_191332791021_create_1555355612790_role_user_pivot_table',	1),
(7,	'2019_04_15_191441675085_create_1555355681975_products_table',	1),
(8,	'2019_08_19_000000_create_failed_jobs_table',	1),
(9,	'2019_12_14_000001_create_personal_access_tokens_table',	1),
(10,	'2023_12_27_072646_create_your_model_names_table',	2),
(11,	'2023_12_27_073304_create_data_table',	3),
(12,	'2023_12_27_092618_add_json_data_to_users_table',	4),
(14,	'2023_12_27_094839_create_infos_table',	5),
(17,	'2023_12_27_103739_create_pivots_table',	6),
(18,	'2023_12_30_050811_add_pivot_id_to_pivots_table',	7),
(19,	'2024_01_02_064909_create_logs_table',	8),
(20,	'2024_01_04_132810_create_user_logs_table',	9);

DROP TABLE IF EXISTS `password_resets`;
CREATE TABLE `password_resets` (
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `password_resets` (`email`, `token`, `created_at`) VALUES
('aman@vqcodes.com',	'$2y$10$/Ky7.vzMVJ.Jjqaw5ZGwgeO2Sfws7zDAppQvlvZaZQ8c3rXElPzoy',	'2023-12-27 05:03:44');

DROP TABLE IF EXISTS `permission_role`;
CREATE TABLE `permission_role` (
  `role_id` int unsigned NOT NULL,
  `permission_id` int unsigned NOT NULL,
  KEY `permission_role_role_id_foreign` (`role_id`),
  KEY `permission_role_permission_id_foreign` (`permission_id`),
  CONSTRAINT `permission_role_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`),
  CONSTRAINT `permission_role_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `permission_role` (`role_id`, `permission_id`) VALUES
(1,	1),
(1,	2),
(1,	3),
(1,	4),
(1,	5),
(1,	6),
(1,	7),
(1,	8),
(1,	9),
(1,	10),
(1,	11),
(1,	12),
(1,	13),
(1,	14),
(1,	15),
(1,	16),
(1,	17),
(1,	18),
(1,	19),
(1,	20),
(1,	21),
(2,	17),
(2,	18),
(2,	19),
(2,	20),
(2,	21);

DROP TABLE IF EXISTS `permissions`;
CREATE TABLE `permissions` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `permissions` (`id`, `title`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	'user_management_access',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(2,	'permission_create',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(3,	'permission_edit',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(4,	'permission_show',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(5,	'permission_delete',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(6,	'permission_access',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(7,	'role_create',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(8,	'role_edit',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(9,	'role_show',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(10,	'role_delete',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(11,	'role_access',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(12,	'user_create',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(13,	'user_edit',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(14,	'user_show',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(15,	'user_delete',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(16,	'user_access',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(17,	'product_create',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(18,	'product_edit',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(19,	'product_show',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(20,	'product_delete',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL),
(21,	'product_access',	'2019-04-15 13:44:42',	'2019-04-15 13:44:42',	NULL);

DROP TABLE IF EXISTS `personal_access_tokens`;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `personal_access_tokens` (`id`, `tokenable_type`, `tokenable_id`, `name`, `token`, `abilities`, `last_used_at`, `created_at`, `updated_at`) VALUES
(1,	'App\\User',	10,	'Personal Access Token',	'979ac4fb560058e3127e700a6bc4078d6b5a60288ff8167cb54b88214afd5ede',	'[\"*\"]',	'2023-12-27 07:07:08',	'2023-12-27 06:59:58',	'2023-12-27 07:07:08'),
(2,	'App\\User',	13,	'Personal Access Token',	'd473302c56ec9718c6b658570328f4b7738a9ed13572c0a59b2dbb7d1afa3762',	'[\"*\"]',	'2023-12-30 10:42:05',	'2023-12-30 10:41:17',	'2023-12-30 10:42:05'),
(3,	'App\\User',	13,	'Personal Access Token',	'e6563503c4552f3a13dcfef0d9e63a092dddf9ef830efe4c6e99d21155fb5c1e',	'[\"*\"]',	NULL,	'2023-12-30 10:41:49',	'2023-12-30 10:41:49'),
(4,	'App\\User',	13,	'Personal Access Token',	'4c74c0047b17a8f3da9c937b6ab8dcdff21c2a25bb589be80fd5a144c2f429f1',	'[\"*\"]',	'2023-12-30 11:01:14',	'2023-12-30 10:56:29',	'2023-12-30 11:01:14'),
(5,	'App\\User',	10,	'Personal Access Token',	'c3c1ebc216be21839ded9c8b857184722bb7149fd76b1d9c9cc1ec4e35241e2b',	'[\"*\"]',	'2024-02-16 10:28:44',	'2023-12-30 11:07:45',	'2024-02-16 10:28:44'),
(6,	'App\\User',	10,	'Personal Access Token',	'bae1ea6765b62ef75dd55b960a514b920f3ecea4ea3905eeddb3f4841d71b057',	'[\"*\"]',	NULL,	'2023-12-30 11:24:40',	'2023-12-30 11:24:40'),
(7,	'App\\User',	10,	'Personal Access Token',	'23ded16484bee169c6e7d974c31c78430e81836ad504e6197ef5be06f0407b43',	'[\"*\"]',	'2024-02-16 10:56:52',	'2023-12-30 11:32:40',	'2024-02-16 10:56:52'),
(8,	'App\\User',	10,	'Personal Access Token',	'd44ba8eb2cb5e6cd9600228e704b10da2978babaa02e0afbd13e8626a274af3e',	'[\"*\"]',	'2023-12-30 12:10:51',	'2023-12-30 11:59:00',	'2023-12-30 12:10:51'),
(9,	'App\\User',	10,	'Personal Access Token',	'f868bee4f0cd61c3fcaa85c414ec96700abf0d118c4c4478f283517031256f12',	'[\"*\"]',	'2023-12-30 12:13:52',	'2023-12-30 12:11:23',	'2023-12-30 12:13:52'),
(10,	'App\\User',	10,	'Personal Access Token',	'c23258208d267b5e6c0799f581346cd1f9a951143d85a3bf928309e8a6ac122a',	'[\"*\"]',	NULL,	'2023-12-30 19:45:28',	'2023-12-30 19:45:28'),
(11,	'App\\User',	10,	'Personal Access Token',	'6b008326132b1135fce4db4e26be1ed343d9781d1ef3cac2f857d69e2a632527',	'[\"*\"]',	NULL,	'2023-12-30 19:54:48',	'2023-12-30 19:54:48'),
(12,	'App\\User',	10,	'Personal Access Token',	'5103ed19088593aab8b1b4363e4e3c94e1911a57e52d0f6d95e117fb8d0d1fb3',	'[\"*\"]',	NULL,	'2023-12-30 20:12:14',	'2023-12-30 20:12:14'),
(13,	'App\\User',	10,	'Personal Access Token',	'2b810dd053bb6a37b4a539ab001edadafe6259781f1992853278e27a06218583',	'[\"*\"]',	NULL,	'2023-12-30 20:12:25',	'2023-12-30 20:12:25'),
(14,	'App\\User',	10,	'Personal Access Token',	'72b7d476b95d77a3677e8c590e76bc9038f23aa01121fa9bd1169973d2e1a5c5',	'[\"*\"]',	NULL,	'2023-12-30 20:14:21',	'2023-12-30 20:14:21'),
(15,	'App\\User',	10,	'Personal Access Token',	'2f1936e31849aea2388a7e6acba197d727758ed52f419dfbda6623c33e952ef6',	'[\"*\"]',	NULL,	'2023-12-30 20:16:43',	'2023-12-30 20:16:43'),
(16,	'App\\User',	10,	'Personal Access Token',	'4f4544819ad7de25f62ae8913fdc60ba9bca0e622d6eb1919c480e76af83df56',	'[\"*\"]',	NULL,	'2023-12-30 20:23:53',	'2023-12-30 20:23:53'),
(17,	'App\\User',	10,	'Personal Access Token',	'b370302636d1976fc746b957ef7f508ed3506c6059e85c089794134e3b9dbb3a',	'[\"*\"]',	NULL,	'2023-12-30 20:26:41',	'2023-12-30 20:26:41'),
(18,	'App\\User',	18,	'Personal Access Token',	'2619e1fb98279eed6c910bd2f07d032821c4f1a4c8e1d0b6758ef11356513ae9',	'[\"*\"]',	NULL,	'2023-12-30 20:27:09',	'2023-12-30 20:27:09'),
(19,	'App\\User',	18,	'Personal Access Token',	'd8c53ebf5a10218995ce3e5e451bd183e1937869a246ac35d1a0dd8e81b3891c',	'[\"*\"]',	NULL,	'2023-12-30 20:28:15',	'2023-12-30 20:28:15'),
(20,	'App\\User',	18,	'Personal Access Token',	'eb4cd2f1322082d0dd6869b637b528ea6fc2e360204b3e6ed0da36b2ff8ad91e',	'[\"*\"]',	NULL,	'2023-12-30 20:44:45',	'2023-12-30 20:44:45'),
(21,	'App\\User',	18,	'Personal Access Token',	'651233281d17b8338164e7ac4a257f0d82dcaf9aae507ccb39cd13c9a11cf8e5',	'[\"*\"]',	NULL,	'2023-12-30 20:54:17',	'2023-12-30 20:54:17'),
(22,	'App\\User',	18,	'Personal Access Token',	'f9a4cb6b8fcdc95a7b4568a11cd9ce5a91b0d02ee8a10fb2f34bec67c8519edf',	'[\"*\"]',	NULL,	'2023-12-31 01:03:03',	'2023-12-31 01:03:03'),
(23,	'App\\User',	10,	'Personal Access Token',	'2738ca2aa93d1bed5b86ea99f59dee9c62519493600e85642d9c5c7710f1d027',	'[\"*\"]',	'2024-01-01 17:58:41',	'2024-01-01 17:57:20',	'2024-01-01 17:58:41'),
(24,	'App\\User',	18,	'Personal Access Token',	'659e2e7db61fafb027200d3d05b6d9ccd4640368ebef717f43a87e003dd6ff51',	'[\"*\"]',	NULL,	'2024-01-03 01:37:57',	'2024-01-03 01:37:57'),
(25,	'App\\User',	10,	'Personal Access Token',	'a4a308373eca93d4158d01739678b229406be44f1ebc8489657c261d6eb7cd71',	'[\"*\"]',	NULL,	'2024-01-03 10:31:22',	'2024-01-03 10:31:22'),
(26,	'App\\User',	10,	'Personal Access Token',	'b3cc309be5eb2a5fc674bbf659ec166947ee61ed6a3010c75030c07a6757acf5',	'[\"*\"]',	NULL,	'2024-01-04 18:49:23',	'2024-01-04 18:49:23'),
(27,	'App\\User',	1,	'Personal Access Token',	'4a9f6a862fed9a5d59307fa3232553661da8bbe04c3a6db802280925935af2b3',	'[\"*\"]',	NULL,	'2024-01-10 16:06:48',	'2024-01-10 16:06:48'),
(28,	'App\\User',	10,	'Personal Access Token',	'5bf3bb845b3e2e86edd97b1f2aad08d7222ece543fc5980f7ed95274d483bffb',	'[\"*\"]',	NULL,	'2024-01-12 04:15:37',	'2024-01-12 04:15:37'),
(29,	'App\\User',	10,	'Personal Access Token',	'0a56759f8533738d3477c0683857190b6a21fb93761287f38295e2b0bc3079fd',	'[\"*\"]',	NULL,	'2024-01-12 04:23:57',	'2024-01-12 04:23:57'),
(30,	'App\\User',	1,	'Personal Access Token',	'39a77b93cfb934d93ddd2b879cb6bb1137b7fca29ce4fdb76965097ac5aa0456',	'[\"*\"]',	NULL,	'2024-01-17 11:02:09',	'2024-01-17 11:02:09'),
(31,	'App\\User',	1,	'Personal Access Token',	'10df30bd2d295ac66e460dc57872e73dea6aa8501c8bd1cac4245e4cfffb2358',	'[\"*\"]',	NULL,	'2024-01-17 11:41:24',	'2024-01-17 11:41:24'),
(32,	'App\\User',	1,	'Personal Access Token',	'94166ab74295a1f2b9157fc10820fdd90b29c99f45190723c8f2a4d70c8b64b5',	'[\"*\"]',	NULL,	'2024-01-17 11:42:05',	'2024-01-17 11:42:05'),
(33,	'App\\User',	1,	'Personal Access Token',	'fd407b6b17a2c9b6f9ead842fc8cfd9efcd601d53100b14d49da29f2fa2ade71',	'[\"*\"]',	NULL,	'2024-01-17 11:42:31',	'2024-01-17 11:42:31'),
(34,	'App\\User',	1,	'Personal Access Token',	'96ab29e91b6959c386b9756f183fa7d4b91369d11844c4f87afb2945722464b9',	'[\"*\"]',	NULL,	'2024-01-18 00:59:10',	'2024-01-18 00:59:10'),
(35,	'App\\User',	1,	'Personal Access Token',	'97eaf44869c80dc7e6281f1360a21caf26eea77a477391bc70f831e5fdc649ac',	'[\"*\"]',	NULL,	'2024-01-19 07:35:23',	'2024-01-19 07:35:23'),
(36,	'App\\User',	10,	'Personal Access Token',	'e4edc65c9e815413ccaf8f60b49cf3adb7e4cf4cb24b96bc5fcbe91c06c69d3a',	'[\"*\"]',	NULL,	'2024-01-19 09:42:58',	'2024-01-19 09:42:58'),
(37,	'App\\User',	10,	'Personal Access Token',	'287771323964ef3b79a858b52477d6c4004a8860202da898a823bf06d937b145',	'[\"*\"]',	NULL,	'2024-01-19 10:03:58',	'2024-01-19 10:03:58'),
(38,	'App\\User',	10,	'Personal Access Token',	'406ece8e78ed5e03b2c2fea9a7bb079a8f1963600860582bc953351edf39f8f8',	'[\"*\"]',	NULL,	'2024-01-19 10:06:09',	'2024-01-19 10:06:09'),
(39,	'App\\User',	1,	'Personal Access Token',	'd5624cf19d36a9065ada752ecd974b6a81b31dcb39ce8579ed27d027c3391a03',	'[\"*\"]',	NULL,	'2024-01-19 10:06:19',	'2024-01-19 10:06:19'),
(40,	'App\\User',	18,	'Personal Access Token',	'edaf0753b50c5d405719502eec92c4c45fef6fee7b4d873ba701f6ee30648ffc',	'[\"*\"]',	NULL,	'2024-01-20 00:38:12',	'2024-01-20 00:38:12'),
(41,	'App\\User',	1,	'Personal Access Token',	'f6f691dbea61364e5ea35672c37298116be342125fdfc6667f4c004a4abc4e31',	'[\"*\"]',	NULL,	'2024-01-20 00:39:21',	'2024-01-20 00:39:21'),
(42,	'App\\User',	10,	'Personal Access Token',	'4d005339118c7c64c6855e4be4455ddacc8dd584a1e357bf1af882f8936b088a',	'[\"*\"]',	NULL,	'2024-01-20 12:18:28',	'2024-01-20 12:18:28'),
(43,	'App\\User',	10,	'Personal Access Token',	'ed9b012778b393eed15fbb560c7301c7dbecbe2ca1c707f97bde2fa2cf64a989',	'[\"*\"]',	NULL,	'2024-01-20 12:49:06',	'2024-01-20 12:49:06'),
(44,	'App\\User',	10,	'Personal Access Token',	'f52e7d61ea63d57a6af9f05f337e2698b3ecf0406f5268c01a68b39f8c3dad66',	'[\"*\"]',	NULL,	'2024-01-20 12:49:20',	'2024-01-20 12:49:20'),
(45,	'App\\User',	19,	'Personal Access Token',	'a50e1de122c7ad77c56c022d8d25927b9c97f06abb3bfdf790d0eb8ab4b0ab75',	'[\"*\"]',	NULL,	'2024-01-20 12:50:00',	'2024-01-20 12:50:00'),
(46,	'App\\User',	19,	'Personal Access Token',	'e499d2f6b1c24a6260248dcfda78a066045f960ea6376db8d38a9c973f2b5497',	'[\"*\"]',	NULL,	'2024-01-20 12:50:35',	'2024-01-20 12:50:35'),
(47,	'App\\User',	19,	'Personal Access Token',	'46f520440fcc0e262e4765305ef17664f58c0fb4e76ba8d2115677e55fd0a6ed',	'[\"*\"]',	NULL,	'2024-01-20 12:51:15',	'2024-01-20 12:51:15'),
(48,	'App\\User',	19,	'Personal Access Token',	'cf4fb18d93075fdde991618cb21d512c82e4f6ae0d9899178cb5ab95b3805c28',	'[\"*\"]',	NULL,	'2024-01-20 12:52:06',	'2024-01-20 12:52:06'),
(49,	'App\\User',	10,	'Personal Access Token',	'ec6d2d0f098944d2969637b0835ae218b18bd4005d5d58119d0d2a88910f1600',	'[\"*\"]',	NULL,	'2024-01-20 12:54:16',	'2024-01-20 12:54:16'),
(50,	'App\\User',	19,	'Personal Access Token',	'65c92884e2cdaddcfa7069859d30f430affc529c7e4cc72bbed48c58fbeb48ac',	'[\"*\"]',	NULL,	'2024-01-20 12:54:28',	'2024-01-20 12:54:28'),
(51,	'App\\User',	19,	'Personal Access Token',	'6d8115b02dd53c65b47a757821f9e5e574f871bdb7f4e9af9c82663165d268ba',	'[\"*\"]',	NULL,	'2024-01-20 12:54:46',	'2024-01-20 12:54:46'),
(52,	'App\\User',	19,	'Personal Access Token',	'aa9f4780336ffc404c892552bfdd82322e86cee444d27cfd775231dc35976f1a',	'[\"*\"]',	NULL,	'2024-01-20 12:56:26',	'2024-01-20 12:56:26'),
(53,	'App\\User',	1,	'Personal Access Token',	'462500e56e3ed06f84a7043eb6ebd6409b2fd18896d45b52fa3b3ea472168458',	'[\"*\"]',	NULL,	'2024-01-22 08:05:45',	'2024-01-22 08:05:45'),
(54,	'App\\User',	10,	'Personal Access Token',	'93faadc1ec025dd67ddc5d6b167d7f9ac064502767417bbe1524f2411d5a9c78',	'[\"*\"]',	NULL,	'2024-01-22 09:47:17',	'2024-01-22 09:47:17'),
(55,	'App\\User',	10,	'Personal Access Token',	'745c4585d4960d0fd332d86a8c5a6c5c88dd293c20a7584fab07b793b6ea5117',	'[\"*\"]',	NULL,	'2024-01-22 09:47:21',	'2024-01-22 09:47:21'),
(56,	'App\\User',	10,	'Personal Access Token',	'958c4800747842c166b3c6fb4b276cd087c46d1305057769742d7b5b4a9b1d05',	'[\"*\"]',	NULL,	'2024-01-22 09:48:10',	'2024-01-22 09:48:10'),
(57,	'App\\User',	18,	'Personal Access Token',	'df6b807125ef954dd9b6bbf33b61b608387899adc9074cf8692141b8934f8e16',	'[\"*\"]',	NULL,	'2024-01-22 20:19:40',	'2024-01-22 20:19:40'),
(58,	'App\\User',	1,	'Personal Access Token',	'8986a801f19860df4172f841683795278141bcce1bfc7f055dc05692ab463539',	'[\"*\"]',	NULL,	'2024-01-22 20:22:42',	'2024-01-22 20:22:42'),
(59,	'App\\User',	18,	'Personal Access Token',	'8ced8bca3c44aa95e09c7573e9a9569f862ca9ef9526d6709ad09694e38f3300',	'[\"*\"]',	NULL,	'2024-01-22 20:23:43',	'2024-01-22 20:23:43'),
(60,	'App\\User',	18,	'Personal Access Token',	'043dffe25acb1262d320cf4dc008633ca46d65b32b3e22e0bfe3a02a1c6359b5',	'[\"*\"]',	NULL,	'2024-01-22 22:53:39',	'2024-01-22 22:53:39'),
(61,	'App\\User',	18,	'Personal Access Token',	'100dad84c1f424251f03cf1910a04d5f98a286c398113ae4376949c91e12d8f7',	'[\"*\"]',	NULL,	'2024-01-23 01:49:20',	'2024-01-23 01:49:20'),
(62,	'App\\User',	18,	'Personal Access Token',	'ec4bb9e4cba16acb1a19e26d0ad0c61a4779778425fea948e2cf07fc1fa8ac31',	'[\"*\"]',	NULL,	'2024-01-23 01:53:50',	'2024-01-23 01:53:50'),
(63,	'App\\User',	18,	'Personal Access Token',	'928e74259f2b485b59084962a864357e615deeb1b5266a61b05dca2d7119f122',	'[\"*\"]',	'2024-01-23 02:00:39',	'2024-01-23 01:55:20',	'2024-01-23 02:00:39'),
(64,	'App\\User',	18,	'Personal Access Token',	'0af5b2dd26023ec9aa33173dfebf17e5ce5d9fd1ef1e74896522c6e4866ada87',	'[\"*\"]',	NULL,	'2024-01-23 08:02:16',	'2024-01-23 08:02:16'),
(65,	'App\\User',	18,	'Personal Access Token',	'5890a26f5dc8aeadd8d61b9e94c0fdbf9bc425d1565b932641df4b9f68412947',	'[\"*\"]',	NULL,	'2024-01-23 08:09:47',	'2024-01-23 08:09:47'),
(66,	'App\\User',	18,	'Personal Access Token',	'fe0236de8e58f571115f4ca7809f4dbfb8b65116d75722bb013438fc41e786c8',	'[\"*\"]',	NULL,	'2024-01-23 09:35:22',	'2024-01-23 09:35:22'),
(67,	'App\\User',	18,	'Personal Access Token',	'81cb07728926f6690e0a5c2d0f54edb06ed983051179f517eb2a062f5e2450b1',	'[\"*\"]',	NULL,	'2024-01-23 09:43:37',	'2024-01-23 09:43:37'),
(68,	'App\\User',	18,	'Personal Access Token',	'3663410b9464d01b007e3cda6911b1a3dba71774e2071ab4775c2a1eb449b04c',	'[\"*\"]',	NULL,	'2024-01-23 10:00:27',	'2024-01-23 10:00:27'),
(69,	'App\\User',	18,	'Personal Access Token',	'06684b691dd0587591921b4eef529983ec82ea9e788467d60195db1566c27777',	'[\"*\"]',	NULL,	'2024-01-26 09:01:28',	'2024-01-26 09:01:28'),
(70,	'App\\User',	20,	'Personal Access Token',	'046b19441cf343158bd01d0e1acb9794551d2706331c122e489293774479852b',	'[\"*\"]',	NULL,	'2024-01-28 07:14:37',	'2024-01-28 07:14:37'),
(71,	'App\\User',	20,	'Personal Access Token',	'004791bd212a3d6d05c10cb23a5e1be0571ee1516d0d754640d66053f1e67d58',	'[\"*\"]',	NULL,	'2024-01-28 07:16:32',	'2024-01-28 07:16:32'),
(72,	'App\\User',	20,	'Personal Access Token',	'eca5c989c3dde90d62574ec1db5700b01867d604e3a5d6c37cf7c17d50a1f411',	'[\"*\"]',	NULL,	'2024-01-28 08:25:50',	'2024-01-28 08:25:50'),
(73,	'App\\User',	20,	'Personal Access Token',	'b967980ea4d4b089f626aac22e7c8b0013a8c4dd4bad9daf1937cd9847b81727',	'[\"*\"]',	NULL,	'2024-01-28 08:37:47',	'2024-01-28 08:37:47'),
(74,	'App\\User',	20,	'Personal Access Token',	'154cfe8475c42ccc8ee4fb2540532737ca78902f01b2f80ea616fc94dc8ce351',	'[\"*\"]',	NULL,	'2024-01-28 09:07:35',	'2024-01-28 09:07:35'),
(75,	'App\\User',	20,	'Personal Access Token',	'09d5e4f335512ad43ab1cfe37c268016021f7bfb9b103f13218c6590c6820740',	'[\"*\"]',	NULL,	'2024-01-28 09:11:10',	'2024-01-28 09:11:10'),
(76,	'App\\User',	20,	'Personal Access Token',	'c0c818c74127c7399b267288347495d950579f0ce47ca63b758845749aac81af',	'[\"*\"]',	NULL,	'2024-02-02 19:37:47',	'2024-02-02 19:37:47'),
(77,	'App\\User',	20,	'Personal Access Token',	'651a1394ecb9948a39a1425f9a363cc545ddb33602c4c2d981247991041a4aac',	'[\"*\"]',	NULL,	'2024-02-04 08:21:00',	'2024-02-04 08:21:00'),
(78,	'App\\User',	20,	'Personal Access Token',	'915749e0ad8d4238b1d89e79c5c470e78a30178c25219779074872b344c1505b',	'[\"*\"]',	NULL,	'2024-02-11 00:43:44',	'2024-02-11 00:43:44'),
(79,	'App\\User',	20,	'Personal Access Token',	'6862ce5339dd06a3968295f3b5c000586ae07a7c755830d1e22807369c13439a',	'[\"*\"]',	NULL,	'2024-02-11 01:28:09',	'2024-02-11 01:28:09'),
(80,	'App\\User',	20,	'Personal Access Token',	'66b4a1b1b0fab55bd005287ed25f2431596a27b576cd2537dce12d88d5727728',	'[\"*\"]',	NULL,	'2024-02-11 01:30:23',	'2024-02-11 01:30:23'),
(81,	'App\\User',	20,	'Personal Access Token',	'89bb34942cddc54df044ae3453350cae4416c07268a02e399dac5bbe02dcba00',	'[\"*\"]',	NULL,	'2024-02-11 02:00:21',	'2024-02-11 02:00:21'),
(82,	'App\\User',	20,	'Personal Access Token',	'9000efa25fbd664a99ed2aa766a85e34e281ed6dfdcf7e8be9516f24d36b9edf',	'[\"*\"]',	NULL,	'2024-02-11 19:12:33',	'2024-02-11 19:12:33'),
(83,	'App\\User',	20,	'Personal Access Token',	'2a23a5b9c34f668442a98d73a49bc186e19c0217a87460dd1fecd136f10bd40d',	'[\"*\"]',	NULL,	'2024-02-12 05:23:32',	'2024-02-12 05:23:32'),
(84,	'App\\User',	20,	'Personal Access Token',	'9ffe5dbb1bd4141ba9757ba87057126417899f4d6887f093fddcd426f4f20eee',	'[\"*\"]',	NULL,	'2024-02-12 05:24:44',	'2024-02-12 05:24:44'),
(85,	'App\\User',	20,	'Personal Access Token',	'cc57ce4401148b5505f3b59d4b1d7ea8b50d4741544fc033b506206b812fd946',	'[\"*\"]',	NULL,	'2024-02-12 08:56:19',	'2024-02-12 08:56:19'),
(86,	'App\\User',	20,	'Personal Access Token',	'd67d489688bd1e18b5dc6b1805dea6c7c3c9962343c2b45417d5ee68bbff584b',	'[\"*\"]',	NULL,	'2024-02-13 08:22:39',	'2024-02-13 08:22:39'),
(87,	'App\\User',	20,	'Personal Access Token',	'cd83a40c5dd56c259d0d3cf6cf23e67de57819121f8e641c44355be1d5b64464',	'[\"*\"]',	NULL,	'2024-02-14 07:24:12',	'2024-02-14 07:24:12'),
(88,	'App\\User',	20,	'Personal Access Token',	'0f75cfd6482abdcaedb25a904729827ee584b4eed90b9acc4123246d0044f68f',	'[\"*\"]',	NULL,	'2024-02-14 07:26:01',	'2024-02-14 07:26:01'),
(89,	'App\\User',	20,	'Personal Access Token',	'86948c7bf2b54bb64b34aea8fa4ced77704dd076c3ec3b0569197435a11ef929',	'[\"*\"]',	NULL,	'2024-02-14 07:26:07',	'2024-02-14 07:26:07'),
(90,	'App\\User',	20,	'Personal Access Token',	'6ef3b6becf90d2aed22cbe3f73370d271e8676502edeb72310d3107aa2c7c4f2',	'[\"*\"]',	NULL,	'2024-02-14 08:29:50',	'2024-02-14 08:29:50'),
(91,	'App\\User',	20,	'Personal Access Token',	'7f40819a212ec9806203f2315a44e6569f7bb5d9348a7724988af4a172f43bf8',	'[\"*\"]',	NULL,	'2024-02-14 09:14:43',	'2024-02-14 09:14:43'),
(92,	'App\\User',	20,	'Personal Access Token',	'394e2cf2243e27f1da28704c5401c179656d4f4e7316856732ef74da15e3372e',	'[\"*\"]',	NULL,	'2024-02-14 09:15:55',	'2024-02-14 09:15:55'),
(93,	'App\\User',	20,	'Personal Access Token',	'c0627d478b2e3ae631ec8519c8ba8ea5ff02236fca39a510b7168f7032485d6b',	'[\"*\"]',	NULL,	'2024-02-14 22:57:47',	'2024-02-14 22:57:47'),
(94,	'App\\User',	20,	'Personal Access Token',	'cf68e7b1a139189a0a42bf89bd6cc096200468b0a5487778c2ef557c07f163c4',	'[\"*\"]',	NULL,	'2024-02-15 00:00:45',	'2024-02-15 00:00:45'),
(95,	'App\\User',	20,	'Personal Access Token',	'fadc5ebd72c9f8c9c8706ddd2bb68f6271aa06bf904871ebfc78aea97df08cb6',	'[\"*\"]',	NULL,	'2024-02-15 00:23:31',	'2024-02-15 00:23:31'),
(96,	'App\\User',	20,	'Personal Access Token',	'7edb2ca81da802b6e9bff199ab59c86ee706259ee73fa1b23b1aa8490c6b7a8e',	'[\"*\"]',	NULL,	'2024-02-15 00:36:00',	'2024-02-15 00:36:00'),
(97,	'App\\User',	20,	'Personal Access Token',	'bf226d22758a077d1452dbf1a6dce8a5b1eb48353f5a4e8c4d86a8c209e11118',	'[\"*\"]',	NULL,	'2024-02-15 00:43:24',	'2024-02-15 00:43:24'),
(98,	'App\\User',	20,	'Personal Access Token',	'9a1f8c7b02e212bd48247687d2effc9a9a5ce976650fed0d8f641f8cb79e63e8',	'[\"*\"]',	NULL,	'2024-02-15 01:27:41',	'2024-02-15 01:27:41'),
(99,	'App\\User',	19,	'Personal Access Token',	'5dbf153e52834e30204324c02090f02d5d58c12914af0029dcc5522c5526a41b',	'[\"*\"]',	NULL,	'2024-02-16 09:44:41',	'2024-02-16 09:44:41'),
(100,	'App\\User',	10,	'Personal Access Token',	'f4dda1cdd64a1b5a51b9f6401b98159052373be780b25ed51cbd8496bb047e34',	'[\"*\"]',	NULL,	'2024-02-16 09:45:12',	'2024-02-16 09:45:12'),
(101,	'App\\User',	10,	'Personal Access Token',	'96938f7ec7e5fa4525e76bbb6d3e220b61d484793f6efee50378439d3067a80d',	'[\"*\"]',	NULL,	'2024-02-16 10:28:29',	'2024-02-16 10:28:29'),
(102,	'App\\User',	10,	'Personal Access Token',	'8bb6291c5ee1f9c7da0fb53d67f51817ffb21232871ee494c421cc8eaf79d44c',	'[\"*\"]',	NULL,	'2024-02-16 10:56:08',	'2024-02-16 10:56:08'),
(103,	'App\\User',	20,	'Personal Access Token',	'1ab04cc61c4ffb668fc6e1816e83682cef4db9e45a62a315690f1b0023c99ee5',	'[\"*\"]',	NULL,	'2024-02-16 11:08:54',	'2024-02-16 11:08:54'),
(104,	'App\\User',	20,	'Personal Access Token',	'17fc213a3d82714cfdcdcaa4bb4b898ca4b3f2d3474c7dd920163d36862d7f5c',	'[\"*\"]',	NULL,	'2024-02-16 11:09:17',	'2024-02-16 11:09:17'),
(105,	'App\\User',	20,	'Personal Access Token',	'09d5d84831b7ce9d6212de07982d450f0e1fe2e40d1cc4bf39a53b4576be88ff',	'[\"*\"]',	NULL,	'2024-02-16 21:15:03',	'2024-02-16 21:15:03'),
(106,	'App\\User',	18,	'Personal Access Token',	'06fdd8205f8e46e097722a4b3a96f2d1c2c058615ae67f4822666aad80535ecd',	'[\"*\"]',	NULL,	'2024-02-16 21:15:37',	'2024-02-16 21:15:37'),
(107,	'App\\User',	18,	'Personal Access Token',	'790e4656bbd4988d70d3616f8a357a7fed16c2d08edbad8ed4d9e30d2be2df1a',	'[\"*\"]',	NULL,	'2024-02-16 21:15:37',	'2024-02-16 21:15:37'),
(108,	'App\\User',	18,	'Personal Access Token',	'b0aed4c203b5a806026023cd3870eea7f6545e67264f8defdfaf1383dbffe5c1',	'[\"*\"]',	NULL,	'2024-02-16 21:20:41',	'2024-02-16 21:20:41'),
(109,	'App\\User',	18,	'Personal Access Token',	'538f4a89a0b2b7b82c43352fdf7624dbcc79a41a46bcd0ac91152a18af8f377f',	'[\"*\"]',	NULL,	'2024-02-16 21:20:53',	'2024-02-16 21:20:53'),
(110,	'App\\User',	20,	'Personal Access Token',	'09764be3113d07d229218a982e090fabec2fc1fddd4a08b286ad3c2b8be23b24',	'[\"*\"]',	NULL,	'2024-02-16 22:05:11',	'2024-02-16 22:05:11'),
(111,	'App\\User',	18,	'Personal Access Token',	'9dec51f4e5301da8b9ccb9245ccbb7a55992cee4a62d327c2c929f2b8d7e7900',	'[\"*\"]',	NULL,	'2024-02-16 22:08:14',	'2024-02-16 22:08:14'),
(112,	'App\\User',	18,	'Personal Access Token',	'200928fb9672ea119ba15e64fd3255ceb194cd22037d82a51fc1a637d01430b2',	'[\"*\"]',	NULL,	'2024-02-16 22:12:19',	'2024-02-16 22:12:19'),
(113,	'App\\User',	20,	'Personal Access Token',	'05f8ad6992f0d1a0f655502e04a97a3c4f6a4a658a5022c243032f764a351d78',	'[\"*\"]',	NULL,	'2024-02-16 22:32:00',	'2024-02-16 22:32:00'),
(114,	'App\\User',	23,	'Personal Access Token',	'd74474f3a41e2fdf1fe254f31476bfa9bf6a29dba2d9b5d0156483122427833f',	'[\"*\"]',	NULL,	'2024-02-19 10:38:42',	'2024-02-19 10:38:42'),
(115,	'App\\User',	23,	'Personal Access Token',	'eda2edd85b8b5dd1d493685415690cc69e11dda6bdf68c1dd2b4126ef68ff2b6',	'[\"*\"]',	NULL,	'2024-02-19 10:39:12',	'2024-02-19 10:39:12'),
(116,	'App\\User',	23,	'Personal Access Token',	'64e419c58bedc2746ada1000fd55b87290e402194479b6144724fd51ec8d5787',	'[\"*\"]',	NULL,	'2024-02-19 10:39:31',	'2024-02-19 10:39:31'),
(117,	'App\\User',	20,	'Personal Access Token',	'd54f87e8aa7cfd2eca4b4406cefd0e1571c2692d0c67af354aeb97d1f78c4655',	'[\"*\"]',	NULL,	'2024-02-20 18:38:01',	'2024-02-20 18:38:01'),
(118,	'App\\User',	10,	'Personal Access Token',	'4264fb0ea3a240468b97ba88224df65ce5a4cf8987450fac1595127557cc34b7',	'[\"*\"]',	NULL,	'2024-02-24 03:51:54',	'2024-02-24 03:51:54'),
(119,	'App\\User',	20,	'Personal Access Token',	'5da5930933f64e8b04dde438acf18235324f97634aaae878cc25f947cdf018c0',	'[\"*\"]',	NULL,	'2024-02-25 03:06:13',	'2024-02-25 03:06:13'),
(120,	'App\\User',	20,	'Personal Access Token',	'a7045d76991a62d1feee9db3c1e934404458dd008a87396b6165319c9c0a9851',	'[\"*\"]',	NULL,	'2024-02-26 04:18:05',	'2024-02-26 04:18:05'),
(121,	'App\\User',	20,	'Personal Access Token',	'ac70bc4646861065e69a49fab37e2be96486be260cab820e3dd2a2abebc2eccb',	'[\"*\"]',	NULL,	'2024-02-26 04:19:09',	'2024-02-26 04:19:09'),
(122,	'App\\User',	20,	'Personal Access Token',	'7f83cf693accbc4cd7d17b310ba0ce1a0baceddd0544f202380ab8046b649e89',	'[\"*\"]',	NULL,	'2024-02-26 04:19:15',	'2024-02-26 04:19:15'),
(123,	'App\\User',	20,	'Personal Access Token',	'607afaaa0ac875140238af622b2173b02e021e7767f7c2df7bd986faaff38220',	'[\"*\"]',	NULL,	'2024-02-26 08:37:18',	'2024-02-26 08:37:18'),
(124,	'App\\User',	20,	'Personal Access Token',	'5cbeee74d19579febc0597f8322f4a4b83beb61dca66916ed8a6eb6acda1b666',	'[\"*\"]',	NULL,	'2024-02-26 08:37:18',	'2024-02-26 08:37:18'),
(125,	'App\\User',	20,	'Personal Access Token',	'90e5962648318dbf15e759b1e67710e6062eb3ec021f3123ecbc353240e32811',	'[\"*\"]',	NULL,	'2024-02-26 08:39:28',	'2024-02-26 08:39:28'),
(126,	'App\\User',	20,	'Personal Access Token',	'a4bc48890ef2d91194126124040012f8ef0987e19d990ec288f49fb8354af694',	'[\"*\"]',	NULL,	'2024-02-26 08:39:31',	'2024-02-26 08:39:31'),
(127,	'App\\User',	20,	'Personal Access Token',	'eda1a6db29a28ef1fda9c0b3718dbef752d801657d17135b8eab12fc0d47d493',	'[\"*\"]',	NULL,	'2024-02-26 09:08:04',	'2024-02-26 09:08:04');

DROP TABLE IF EXISTS `pivots`;
CREATE TABLE `pivots` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `PivotID` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `PivotName` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `IPAddress` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `PivotPort` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `PLCType` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `CenterLat` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `CenterLon` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Value4` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Value5` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Value6` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Value7` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Value8` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Value9` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `Value10` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `pivots` (`id`, `PivotID`, `user_id`, `PivotName`, `IPAddress`, `PivotPort`, `PLCType`, `CenterLat`, `CenterLon`, `Value4`, `Value5`, `Value6`, `Value7`, `Value8`, `Value9`, `Value10`, `created_at`, `updated_at`) VALUES
(401,	'PivotID1',	'10',	'Pivot 1',	'frcirr.dyndns.org',	'44101',	'S',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2023-12-30 11:04:42',	'2024-02-16 10:28:38'),
(402,	'PivotID2',	'10',	'Pivot pivot',	'192.168.1.100',	'44818',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2024-01-01 17:58:42'),
(403,	'PivotID3',	'10',	'Pivot 3',	'frcirr.dyndns.org',	'44103',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(404,	'PivotID4',	'10',	'Pivot 4',	'192.168.1.101',	'44818',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(405,	'PivotID5',	'10',	'Pivot 5',	'frcirr.dyndns.org',	'44105',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(406,	'PivotID6',	'10',	'Pivot 6',	'frcirr.dyndns.org',	'44106',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(407,	'PivotID7',	'10',	'Pivot 7',	'frcirr.dyndns.org',	'44107',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(408,	'PivotID8',	'10',	'Pivot 8',	'frcirr.dyndns.org',	'44108',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(409,	'PivotID9',	'10',	'Pivot 9',	'frcirr.dyndns.org',	'44109',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(410,	'PivotID10',	'10',	'Pivot 10',	'frcirr.dyndns.org',	'44110',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(411,	'PivotID11',	'10',	'Pivot 11',	'frcirr.dyndns.org',	'44111',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(412,	'PivotID12',	'10',	'Pivot 12',	'frcirr.dyndns.org',	'44112',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(413,	'PivotID13',	'10',	'Pivot 13',	'frcirr.dyndns.org',	'44113',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(414,	'PivotID14',	'10',	'Pivot 14',	'frcirr.dyndns.org',	'44114',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(415,	'PivotID15',	'10',	'Pivot 15',	'frcirr.dyndns.org',	'44115',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(416,	'PivotID16',	'10',	'Pivot 16',	'frcirr.dyndns.org',	'44116',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(417,	'PivotID17',	'10',	'Pivot 17',	'frcirr.dyndns.org',	'44117',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(418,	'PivotID18',	'10',	'Pivot 18',	'frcirr.dyndns.org',	'44118',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(419,	'PivotID19',	'10',	'Pivot 19',	'frcirr.dyndns.org',	'44119',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(420,	'PivotID20',	'10',	'Pivot 20',	'frcirr.dyndns.org',	'44120',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(421,	'PivotID21',	'10',	'Pivot 21',	'frcirr.dyndns.org',	'44121',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(422,	'PivotID22',	'10',	'Pivot 22',	'frcirr.dyndns.org',	'44122',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(423,	'PivotID23',	'10',	'Pivot 23',	'frcirr.dyndns.org',	'44123',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(424,	'PivotID24',	'10',	'Pivot 24',	'frcirr.dyndns.org',	'44124',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(425,	'PivotID25',	'10',	'Pivot 25',	'frcirr.dyndns.org',	'44125',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(426,	'PivotID26',	'10',	'Pivot 26',	'frcirr.dyndns.org',	'44126',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(427,	'PivotID27',	'10',	'Pivot 27',	'frcirr.dyndns.org',	'44127',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(428,	'PivotID28',	'10',	'Pivot 28',	'frcirr.dyndns.org',	'44128',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(429,	'PivotID29',	'10',	'Pivot 29',	'frcirr.dyndns.org',	'44129',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(430,	'PivotID30',	'10',	'Pivot 30',	'frcirr.dyndns.org',	'44130',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(431,	'PivotID31',	'10',	'Pivot 31',	'frcirr.dyndns.org',	'44131',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(432,	'PivotID32',	'10',	'Pivot 32',	'frcirr.dyndns.org',	'44132',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(433,	'PivotID33',	'10',	'Pivot 33',	'frcirr.dyndns.org',	'44133',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(434,	'PivotID34',	'10',	'Pivot 34',	'frcirr.dyndns.org',	'44134',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(435,	'PivotID35',	'10',	'Pivot 35',	'frcirr.dyndns.org',	'44135',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(436,	'PivotID36',	'10',	'Pivot 36',	'frcirr.dyndns.org',	'44136',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(437,	'PivotID37',	'10',	'Pivot 37',	'frcirr.dyndns.org',	'44137',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(438,	'PivotID38',	'10',	'Pivot 38',	'frcirr.dyndns.org',	'44138',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(439,	'PivotID39',	'10',	'Pivot 39',	'frcirr.dyndns.org',	'44139',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(440,	'PivotID40',	'10',	'Pivot 40',	'frcirr.dyndns.org',	'44140',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(441,	'PivotID41',	'10',	'Pivot 41',	'frcirr.dyndns.org',	'44141',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(442,	'PivotID42',	'10',	'Pivot 42',	'frcirr.dyndns.org',	'44142',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(443,	'PivotID43',	'10',	'Pivot 43',	'frcirr.dyndns.org',	'44143',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(444,	'PivotID44',	'10',	'Pivot 44',	'frcirr.dyndns.org',	'44144',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(445,	'PivotID45',	'10',	'Pivot 45',	'frcirr.dyndns.org',	'44145',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(446,	'PivotID46',	'10',	'Pivot 46',	'frcirr.dyndns.org',	'44146',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(447,	'PivotID47',	'10',	'Pivot 47',	'frcirr.dyndns.org',	'44147',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(448,	'PivotID48',	'10',	'Pivot 48',	'frcirr.dyndns.org',	'44148',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(449,	'PivotID49',	'10',	'Pivot 49',	'frcirr.dyndns.org',	'44149',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(450,	'PivotID50',	'10',	'Pivot 50',	'frcirr.dyndns.org',	'44150',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(451,	'PivotID51',	'10',	'Pivot 51',	'frcirr.dyndns.org',	'44151',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(452,	'PivotID52',	'10',	'Pivot 52',	'frcirr.dyndns.org',	'44152',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(453,	'PivotID53',	'10',	'Pivot 53',	'frcirr.dyndns.org',	'44153',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(454,	'PivotID54',	'10',	'Pivot 54',	'frcirr.dyndns.org',	'44154',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(455,	'PivotID55',	'10',	'Pivot 55',	'frcirr.dyndns.org',	'44155',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(456,	'PivotID56',	'10',	'Pivot 56',	'frcirr.dyndns.org',	'44156',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(457,	'PivotID57',	'10',	'Pivot 57',	'frcirr.dyndns.org',	'44157',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(458,	'PivotID58',	'10',	'Pivot 58',	'frcirr.dyndns.org',	'44158',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(459,	'PivotID59',	'10',	'Pivot 59',	'frcirr.dyndns.org',	'44159',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(460,	'PivotID60',	'10',	'Pivot 60',	'frcirr.dyndns.org',	'44160',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(461,	'PivotID61',	'10',	'Pivot 61',	'frcirr.dyndns.org',	'44161',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(462,	'PivotID62',	'10',	'Pivot 62',	'frcirr.dyndns.org',	'44162',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(463,	'PivotID63',	'10',	'Pivot 63',	'frcirr.dyndns.org',	'44163',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(464,	'PivotID64',	'10',	'Pivot 64',	'frcirr.dyndns.org',	'44164',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(465,	'PivotID65',	'10',	'Pivot 65',	'frcirr.dyndns.org',	'44165',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(466,	'PivotID66',	'10',	'Pivot 66',	'frcirr.dyndns.org',	'44166',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(467,	'PivotID67',	'10',	'Pivot 67',	'frcirr.dyndns.org',	'44167',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(468,	'PivotID68',	'10',	'Pivot 68',	'frcirr.dyndns.org',	'44168',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(469,	'PivotID69',	'10',	'Pivot 69',	'frcirr.dyndns.org',	'44169',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(470,	'PivotID70',	'10',	'Pivot 70',	'frcirr.dyndns.org',	'44170',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(471,	'PivotID71',	'10',	'Pivot 71',	'frcirr.dyndns.org',	'44171',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(472,	'PivotID72',	'10',	'Pivot 72',	'frcirr.dyndns.org',	'44172',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(473,	'PivotID73',	'10',	'Pivot 73',	'frcirr.dyndns.org',	'44173',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(474,	'PivotID74',	'10',	'Pivot 74',	'frcirr.dyndns.org',	'44174',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(475,	'PivotID75',	'10',	'Pivot 75',	'frcirr.dyndns.org',	'44175',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(476,	'PivotID76',	'10',	'Pivot 76',	'frcirr.dyndns.org',	'44176',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(477,	'PivotID77',	'10',	'Pivot 77',	'frcirr.dyndns.org',	'44177',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(478,	'PivotID78',	'10',	'Pivot 78',	'frcirr.dyndns.org',	'44178',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(479,	'PivotID79',	'10',	'Pivot 79',	'frcirr.dyndns.org',	'44179',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(480,	'PivotID80',	'10',	'Pivot 80',	'frcirr.dyndns.org',	'44180',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(481,	'PivotID81',	'10',	'Pivot 81',	'frcirr.dyndns.org',	'44181',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(482,	'PivotID82',	'10',	'Pivot 82',	'frcirr.dyndns.org',	'44182',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(483,	'PivotID83',	'10',	'Pivot 83',	'frcirr.dyndns.org',	'44183',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(484,	'PivotID84',	'10',	'Pivot 84',	'frcirr.dyndns.org',	'44184',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(485,	'PivotID85',	'10',	'Pivot 85',	'frcirr.dyndns.org',	'44185',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(486,	'PivotID86',	'10',	'Pivot 86',	'frcirr.dyndns.org',	'44186',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(487,	'PivotID87',	'10',	'Pivot 87',	'frcirr.dyndns.org',	'44187',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(488,	'PivotID88',	'10',	'Pivot 88',	'frcirr.dyndns.org',	'44188',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(489,	'PivotID89',	'10',	'Pivot 89',	'frcirr.dyndns.org',	'44189',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(490,	'PivotID90',	'10',	'Pivot 90',	'frcirr.dyndns.org',	'44190',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(491,	'PivotID91',	'10',	'Pivot 91',	'frcirr.dyndns.org',	'44191',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(492,	'PivotID92',	'10',	'Pivot 92',	'frcirr.dyndns.org',	'44192',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(493,	'PivotID93',	'10',	'Pivot 93',	'frcirr.dyndns.org',	'44193',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(494,	'PivotID94',	'10',	'Pivot 94',	'frcirr.dyndns.org',	'44194',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(495,	'PivotID95',	'10',	'Pivot 95',	'frcirr.dyndns.org',	'44195',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(496,	'PivotID96',	'10',	'Pivot 96',	'frcirr.dyndns.org',	'44196',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(497,	'PivotID97',	'10',	'Pivot 97',	'frcirr.dyndns.org',	'44197',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(498,	'PivotID98',	'10',	'Pivot 98',	'frcirr.dyndns.org',	'44198',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(499,	'PivotID99',	'10',	'Pivot 99',	'frcirr.dyndns.org',	'44199',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(500,	'PivotID100',	'10',	'Pivot 100',	'frcirr.dyndns.org',	'44200',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 11:04:42',	'2023-12-30 11:04:42'),
(501,	'1',	'18',	'Home West',	'eastraymond.dyndns.org',	'44101',	'M',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2023-12-30 19:42:10',	'2024-02-16 21:20:39'),
(502,	'2',	'18',	'Pivot 2',	'192.168.1.100',	'44818',	'M',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2023-12-30 19:42:10',	'2024-02-16 21:30:28'),
(503,	'PivotID3',	'18',	'Pivot 3',	'frcirr.dyndns.org',	'44103',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(504,	'PivotID4',	'18',	'Pivot 4',	'192.168.1.101',	'44818',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(505,	'PivotID5',	'18',	'Pivot 5',	'frcirr.dyndns.org',	'44105',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(506,	'PivotID6',	'18',	'Pivot 6',	'frcirr.dyndns.org',	'44106',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(507,	'PivotID7',	'18',	'Pivot 7',	'frcirr.dyndns.org',	'44107',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(508,	'PivotID8',	'18',	'Pivot 8',	'frcirr.dyndns.org',	'44108',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(509,	'PivotID9',	'18',	'Pivot 9',	'frcirr.dyndns.org',	'44109',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(510,	'PivotID10',	'18',	'Pivot 10',	'frcirr.dyndns.org',	'44110',	'M',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2023-12-30 19:42:10',	'2024-01-23 10:00:17'),
(511,	'PivotID11',	'18',	'Pivot 11',	'frcirr.dyndns.org',	'44111',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(512,	'PivotID12',	'18',	'Pivot 12',	'frcirr.dyndns.org',	'44112',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(513,	'PivotID13',	'18',	'Pivot 13',	'frcirr.dyndns.org',	'44113',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(514,	'PivotID14',	'18',	'Pivot 14',	'frcirr.dyndns.org',	'44114',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(515,	'PivotID15',	'18',	'Pivot 15',	'frcirr.dyndns.org',	'44115',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(516,	'PivotID16',	'18',	'Pivot 16',	'frcirr.dyndns.org',	'44116',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(517,	'PivotID17',	'18',	'Pivot 17',	'frcirr.dyndns.org',	'44117',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(518,	'PivotID18',	'18',	'Pivot 18',	'frcirr.dyndns.org',	'44118',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(519,	'PivotID19',	'18',	'Pivot 19',	'frcirr.dyndns.org',	'44119',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(520,	'PivotID20',	'18',	'Pivot 20',	'frcirr.dyndns.org',	'44120',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(521,	'PivotID21',	'18',	'Pivot 21',	'frcirr.dyndns.org',	'44121',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(522,	'PivotID22',	'18',	'Pivot 22',	'frcirr.dyndns.org',	'44122',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(523,	'PivotID23',	'18',	'Pivot 23',	'frcirr.dyndns.org',	'44123',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(524,	'PivotID24',	'18',	'Pivot 24',	'frcirr.dyndns.org',	'44124',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(525,	'PivotID25',	'18',	'Pivot 25',	'frcirr.dyndns.org',	'44125',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(526,	'PivotID26',	'18',	'Pivot 26',	'frcirr.dyndns.org',	'44126',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(527,	'PivotID27',	'18',	'Pivot 27',	'frcirr.dyndns.org',	'44127',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(528,	'PivotID28',	'18',	'Pivot 28',	'frcirr.dyndns.org',	'44128',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(529,	'PivotID29',	'18',	'Pivot 29',	'frcirr.dyndns.org',	'44129',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(530,	'PivotID30',	'18',	'Pivot 30',	'frcirr.dyndns.org',	'44130',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(531,	'PivotID31',	'18',	'Pivot 31',	'frcirr.dyndns.org',	'44131',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(532,	'PivotID32',	'18',	'Pivot 32',	'frcirr.dyndns.org',	'44132',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(533,	'PivotID33',	'18',	'Pivot 33',	'frcirr.dyndns.org',	'44133',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(534,	'PivotID34',	'18',	'Pivot 34',	'frcirr.dyndns.org',	'44134',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(535,	'PivotID35',	'18',	'Pivot 35',	'frcirr.dyndns.org',	'44135',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(536,	'PivotID36',	'18',	'Pivot 36',	'frcirr.dyndns.org',	'44136',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(537,	'PivotID37',	'18',	'Pivot 37',	'frcirr.dyndns.org',	'44137',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(538,	'PivotID38',	'18',	'Pivot 38',	'frcirr.dyndns.org',	'44138',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(539,	'PivotID39',	'18',	'Pivot 39',	'frcirr.dyndns.org',	'44139',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(540,	'PivotID40',	'18',	'Pivot 40',	'frcirr.dyndns.org',	'44140',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(541,	'PivotID41',	'18',	'Pivot 41',	'frcirr.dyndns.org',	'44141',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(542,	'PivotID42',	'18',	'Pivot 42',	'frcirr.dyndns.org',	'44142',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(543,	'PivotID43',	'18',	'Pivot 43',	'frcirr.dyndns.org',	'44143',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(544,	'PivotID44',	'18',	'Pivot 44',	'frcirr.dyndns.org',	'44144',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(545,	'PivotID45',	'18',	'Pivot 45',	'frcirr.dyndns.org',	'44145',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(546,	'PivotID46',	'18',	'Pivot 46',	'frcirr.dyndns.org',	'44146',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(547,	'PivotID47',	'18',	'Pivot 47',	'frcirr.dyndns.org',	'44147',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(548,	'PivotID48',	'18',	'Pivot 48',	'frcirr.dyndns.org',	'44148',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(549,	'PivotID49',	'18',	'Pivot 49',	'frcirr.dyndns.org',	'44149',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(550,	'PivotID50',	'18',	'Pivot 50',	'frcirr.dyndns.org',	'44150',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(551,	'PivotID51',	'18',	'Pivot 51',	'frcirr.dyndns.org',	'44151',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(552,	'PivotID52',	'18',	'Pivot 52',	'frcirr.dyndns.org',	'44152',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(553,	'PivotID53',	'18',	'Pivot 53',	'frcirr.dyndns.org',	'44153',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(554,	'PivotID54',	'18',	'Pivot 54',	'frcirr.dyndns.org',	'44154',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(555,	'PivotID55',	'18',	'Pivot 55',	'frcirr.dyndns.org',	'44155',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(556,	'PivotID56',	'18',	'Pivot 56',	'frcirr.dyndns.org',	'44156',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(557,	'PivotID57',	'18',	'Pivot 57',	'frcirr.dyndns.org',	'44157',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(558,	'PivotID58',	'18',	'Pivot 58',	'frcirr.dyndns.org',	'44158',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(559,	'PivotID59',	'18',	'Pivot 59',	'frcirr.dyndns.org',	'44159',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(560,	'PivotID60',	'18',	'Pivot 60',	'frcirr.dyndns.org',	'44160',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(561,	'PivotID61',	'18',	'Pivot 61',	'frcirr.dyndns.org',	'44161',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(562,	'PivotID62',	'18',	'Pivot 62',	'frcirr.dyndns.org',	'44162',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(563,	'PivotID63',	'18',	'Pivot 63',	'frcirr.dyndns.org',	'44163',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(564,	'PivotID64',	'18',	'Pivot 64',	'frcirr.dyndns.org',	'44164',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(565,	'PivotID65',	'18',	'Pivot 65',	'frcirr.dyndns.org',	'44165',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(566,	'PivotID66',	'18',	'Pivot 66',	'frcirr.dyndns.org',	'44166',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(567,	'PivotID67',	'18',	'Pivot 67',	'frcirr.dyndns.org',	'44167',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(568,	'PivotID68',	'18',	'Pivot 68',	'frcirr.dyndns.org',	'44168',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(569,	'PivotID69',	'18',	'Pivot 69',	'frcirr.dyndns.org',	'44169',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(570,	'PivotID70',	'18',	'Pivot 70',	'frcirr.dyndns.org',	'44170',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(571,	'PivotID71',	'18',	'Pivot 71',	'frcirr.dyndns.org',	'44171',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(572,	'PivotID72',	'18',	'Pivot 72',	'frcirr.dyndns.org',	'44172',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(573,	'PivotID73',	'18',	'Pivot 73',	'frcirr.dyndns.org',	'44173',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(574,	'PivotID74',	'18',	'Pivot 74',	'frcirr.dyndns.org',	'44174',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(575,	'PivotID75',	'18',	'Pivot 75',	'frcirr.dyndns.org',	'44175',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(576,	'PivotID76',	'18',	'Pivot 76',	'frcirr.dyndns.org',	'44176',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(577,	'PivotID77',	'18',	'Pivot 77',	'frcirr.dyndns.org',	'44177',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(578,	'PivotID78',	'18',	'Pivot 78',	'frcirr.dyndns.org',	'44178',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(579,	'PivotID79',	'18',	'Pivot 79',	'frcirr.dyndns.org',	'44179',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(580,	'PivotID80',	'18',	'Pivot 80',	'frcirr.dyndns.org',	'44180',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(581,	'PivotID81',	'18',	'Pivot 81',	'frcirr.dyndns.org',	'44181',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(582,	'PivotID82',	'18',	'Pivot 82',	'frcirr.dyndns.org',	'44182',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(583,	'PivotID83',	'18',	'Pivot 83',	'frcirr.dyndns.org',	'44183',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(584,	'PivotID84',	'18',	'Pivot 84',	'frcirr.dyndns.org',	'44184',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(585,	'PivotID85',	'18',	'Pivot 85',	'frcirr.dyndns.org',	'44185',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(586,	'PivotID86',	'18',	'Pivot 86',	'frcirr.dyndns.org',	'44186',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(587,	'PivotID87',	'18',	'Pivot 87',	'frcirr.dyndns.org',	'44187',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(588,	'PivotID88',	'18',	'Pivot 88',	'frcirr.dyndns.org',	'44188',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(589,	'PivotID89',	'18',	'Pivot 89',	'frcirr.dyndns.org',	'44189',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(590,	'PivotID90',	'18',	'Pivot 90',	'frcirr.dyndns.org',	'44190',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(591,	'PivotID91',	'18',	'Pivot 91',	'frcirr.dyndns.org',	'44191',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(592,	'PivotID92',	'18',	'Pivot 92',	'frcirr.dyndns.org',	'44192',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(593,	'PivotID93',	'18',	'Pivot 93',	'frcirr.dyndns.org',	'44193',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(594,	'PivotID94',	'18',	'Pivot 94',	'frcirr.dyndns.org',	'44194',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(595,	'PivotID95',	'18',	'Pivot 95',	'frcirr.dyndns.org',	'44195',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(596,	'PivotID96',	'18',	'Pivot 96',	'frcirr.dyndns.org',	'44196',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(597,	'PivotID97',	'18',	'Pivot 97',	'frcirr.dyndns.org',	'44197',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(598,	'PivotID98',	'18',	'Pivot 98',	'frcirr.dyndns.org',	'44198',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(599,	'PivotID99',	'18',	'Pivot 99',	'frcirr.dyndns.org',	'44199',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(600,	'PivotID100',	'18',	'Pivot 100',	'frcirr.dyndns.org',	'44200',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2023-12-30 19:42:10',	'2023-12-30 19:42:10'),
(601,	'1',	'19',	'Pivot 1',	'frcirr.dyndns.org',	'44101',	'S',	NULL,	NULL,	NULL,	NULL,	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-02-29 23:43:24'),
(602,	'2',	'19',	'Pivot 2',	'192.168.1.100',	'44818',	'M',	NULL,	NULL,	NULL,	NULL,	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-04-04 07:37:11'),
(603,	'PivotID3',	'19',	'Pivot 3',	'frcirr.dyndns.org',	'44103',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(604,	'PivotID4',	'19',	'Pivot 4',	'192.168.1.101',	'44818',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(605,	'PivotID5',	'19',	'Pivot 5',	'frcirr.dyndns.org',	'44105',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(606,	'PivotID6',	'19',	'Pivot 6',	'frcirr.dyndns.org',	'44106',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(607,	'PivotID7',	'19',	'Pivot 7',	'frcirr.dyndns.org',	'44107',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(608,	'PivotID8',	'19',	'Pivot 8',	'frcirr.dyndns.org',	'44108',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(609,	'PivotID9',	'19',	'Pivot 9',	'frcirr.dyndns.org',	'44109',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(610,	'PivotID10',	'19',	'Pivot 10',	'frcirr.dyndns.org',	'44110',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(611,	'PivotID11',	'19',	'Pivot 11',	'frcirr.dyndns.org',	'44111',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(612,	'PivotID12',	'19',	'Pivot 12',	'frcirr.dyndns.org',	'44112',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(613,	'PivotID13',	'19',	'Pivot 13',	'frcirr.dyndns.org',	'44113',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(614,	'PivotID14',	'19',	'Pivot 14',	'frcirr.dyndns.org',	'44114',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(615,	'PivotID15',	'19',	'Pivot 15',	'frcirr.dyndns.org',	'44115',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(616,	'PivotID16',	'19',	'Pivot 16',	'frcirr.dyndns.org',	'44116',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(617,	'PivotID17',	'19',	'Pivot 17',	'frcirr.dyndns.org',	'44117',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(618,	'PivotID18',	'19',	'Pivot 18',	'frcirr.dyndns.org',	'44118',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(619,	'PivotID19',	'19',	'Pivot 19',	'frcirr.dyndns.org',	'44119',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(620,	'PivotID20',	'19',	'Pivot 20',	'frcirr.dyndns.org',	'44120',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(621,	'PivotID21',	'19',	'Pivot 21',	'frcirr.dyndns.org',	'44121',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(622,	'PivotID22',	'19',	'Pivot 22',	'frcirr.dyndns.org',	'44122',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(623,	'PivotID23',	'19',	'Pivot 23',	'frcirr.dyndns.org',	'44123',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(624,	'PivotID24',	'19',	'Pivot 24',	'frcirr.dyndns.org',	'44124',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(625,	'PivotID25',	'19',	'Pivot 25',	'frcirr.dyndns.org',	'44125',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(626,	'PivotID26',	'19',	'Pivot 26',	'frcirr.dyndns.org',	'44126',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(627,	'PivotID27',	'19',	'Pivot 27',	'frcirr.dyndns.org',	'44127',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(628,	'PivotID28',	'19',	'Pivot 28',	'frcirr.dyndns.org',	'44128',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(629,	'PivotID29',	'19',	'Pivot 29',	'frcirr.dyndns.org',	'44129',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(630,	'PivotID30',	'19',	'Pivot 30',	'frcirr.dyndns.org',	'44130',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(631,	'PivotID31',	'19',	'Pivot 31',	'frcirr.dyndns.org',	'44131',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(632,	'PivotID32',	'19',	'Pivot 32',	'frcirr.dyndns.org',	'44132',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(633,	'PivotID33',	'19',	'Pivot 33',	'frcirr.dyndns.org',	'44133',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(634,	'PivotID34',	'19',	'Pivot 34',	'frcirr.dyndns.org',	'44134',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(635,	'PivotID35',	'19',	'Pivot 35',	'frcirr.dyndns.org',	'44135',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(636,	'PivotID36',	'19',	'Pivot 36',	'frcirr.dyndns.org',	'44136',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(637,	'PivotID37',	'19',	'Pivot 37',	'frcirr.dyndns.org',	'44137',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(638,	'PivotID38',	'19',	'Pivot 38',	'frcirr.dyndns.org',	'44138',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(639,	'PivotID39',	'19',	'Pivot 39',	'frcirr.dyndns.org',	'44139',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(640,	'PivotID40',	'19',	'Pivot 40',	'frcirr.dyndns.org',	'44140',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(641,	'PivotID41',	'19',	'Pivot 41',	'frcirr.dyndns.org',	'44141',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(642,	'PivotID42',	'19',	'Pivot 42',	'frcirr.dyndns.org',	'44142',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(643,	'PivotID43',	'19',	'Pivot 43',	'frcirr.dyndns.org',	'44143',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(644,	'PivotID44',	'19',	'Pivot 44',	'frcirr.dyndns.org',	'44144',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(645,	'PivotID45',	'19',	'Pivot 45',	'frcirr.dyndns.org',	'44145',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(646,	'PivotID46',	'19',	'Pivot 46',	'frcirr.dyndns.org',	'44146',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(647,	'PivotID47',	'19',	'Pivot 47',	'frcirr.dyndns.org',	'44147',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(648,	'PivotID48',	'19',	'Pivot 48',	'frcirr.dyndns.org',	'44148',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(649,	'PivotID49',	'19',	'Pivot 49',	'frcirr.dyndns.org',	'44149',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(650,	'PivotID50',	'19',	'Pivot 50',	'frcirr.dyndns.org',	'44150',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(651,	'PivotID51',	'19',	'Pivot 51',	'frcirr.dyndns.org',	'44151',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(652,	'PivotID52',	'19',	'Pivot 52',	'frcirr.dyndns.org',	'44152',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(653,	'PivotID53',	'19',	'Pivot 53',	'frcirr.dyndns.org',	'44153',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(654,	'PivotID54',	'19',	'Pivot 54',	'frcirr.dyndns.org',	'44154',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(655,	'PivotID55',	'19',	'Pivot 55',	'frcirr.dyndns.org',	'44155',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(656,	'PivotID56',	'19',	'Pivot 56',	'frcirr.dyndns.org',	'44156',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(657,	'PivotID57',	'19',	'Pivot 57',	'frcirr.dyndns.org',	'44157',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(658,	'PivotID58',	'19',	'Pivot 58',	'frcirr.dyndns.org',	'44158',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(659,	'PivotID59',	'19',	'Pivot 59',	'frcirr.dyndns.org',	'44159',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(660,	'PivotID60',	'19',	'Pivot 60',	'frcirr.dyndns.org',	'44160',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(661,	'PivotID61',	'19',	'Pivot 61',	'frcirr.dyndns.org',	'44161',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(662,	'PivotID62',	'19',	'Pivot 62',	'frcirr.dyndns.org',	'44162',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(663,	'PivotID63',	'19',	'Pivot 63',	'frcirr.dyndns.org',	'44163',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(664,	'PivotID64',	'19',	'Pivot 64',	'frcirr.dyndns.org',	'44164',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(665,	'PivotID65',	'19',	'Pivot 65',	'frcirr.dyndns.org',	'44165',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(666,	'PivotID66',	'19',	'Pivot 66',	'frcirr.dyndns.org',	'44166',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(667,	'PivotID67',	'19',	'Pivot 67',	'frcirr.dyndns.org',	'44167',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(668,	'PivotID68',	'19',	'Pivot 68',	'frcirr.dyndns.org',	'44168',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(669,	'PivotID69',	'19',	'Pivot 69',	'frcirr.dyndns.org',	'44169',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(670,	'PivotID70',	'19',	'Pivot 70',	'frcirr.dyndns.org',	'44170',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(671,	'PivotID71',	'19',	'Pivot 71',	'frcirr.dyndns.org',	'44171',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(672,	'PivotID72',	'19',	'Pivot 72',	'frcirr.dyndns.org',	'44172',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(673,	'PivotID73',	'19',	'Pivot 73',	'frcirr.dyndns.org',	'44173',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(674,	'PivotID74',	'19',	'Pivot 74',	'frcirr.dyndns.org',	'44174',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(675,	'PivotID75',	'19',	'Pivot 75',	'frcirr.dyndns.org',	'44175',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(676,	'PivotID76',	'19',	'Pivot 76',	'frcirr.dyndns.org',	'44176',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(677,	'PivotID77',	'19',	'Pivot 77',	'frcirr.dyndns.org',	'44177',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(678,	'PivotID78',	'19',	'Pivot 78',	'frcirr.dyndns.org',	'44178',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(679,	'PivotID79',	'19',	'Pivot 79',	'frcirr.dyndns.org',	'44179',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(680,	'PivotID80',	'19',	'Pivot 80',	'frcirr.dyndns.org',	'44180',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(681,	'PivotID81',	'19',	'Pivot 81',	'frcirr.dyndns.org',	'44181',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(682,	'PivotID82',	'19',	'Pivot 82',	'frcirr.dyndns.org',	'44182',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(683,	'PivotID83',	'19',	'Pivot 83',	'frcirr.dyndns.org',	'44183',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(684,	'PivotID84',	'19',	'Pivot 84',	'frcirr.dyndns.org',	'44184',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(685,	'PivotID85',	'19',	'Pivot 85',	'frcirr.dyndns.org',	'44185',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(686,	'PivotID86',	'19',	'Pivot 86',	'frcirr.dyndns.org',	'44186',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(687,	'PivotID87',	'19',	'Pivot 87',	'frcirr.dyndns.org',	'44187',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(688,	'PivotID88',	'19',	'Pivot 88',	'frcirr.dyndns.org',	'44188',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(689,	'PivotID89',	'19',	'Pivot 89',	'frcirr.dyndns.org',	'44189',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(690,	'PivotID90',	'19',	'Pivot 90',	'frcirr.dyndns.org',	'44190',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(691,	'PivotID91',	'19',	'Pivot 91',	'frcirr.dyndns.org',	'44191',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(692,	'PivotID92',	'19',	'Pivot 92',	'frcirr.dyndns.org',	'44192',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(693,	'PivotID93',	'19',	'Pivot 93',	'frcirr.dyndns.org',	'44193',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(694,	'PivotID94',	'19',	'Pivot 94',	'frcirr.dyndns.org',	'44194',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(695,	'PivotID95',	'19',	'Pivot 95',	'frcirr.dyndns.org',	'44195',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(696,	'PivotID96',	'19',	'Pivot 96',	'frcirr.dyndns.org',	'44196',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(697,	'PivotID97',	'19',	'Pivot 97',	'frcirr.dyndns.org',	'44197',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(698,	'PivotID98',	'19',	'Pivot 98',	'frcirr.dyndns.org',	'44198',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(699,	'PivotID99',	'19',	'Pivot 99',	'frcirr.dyndns.org',	'44199',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-01-20 11:24:09'),
(700,	'100',	'19',	'Pivot 100',	'frcirr.dyndns.org',	'44200',	'M',	NULL,	NULL,	NULL,	NULL,	'',	'',	'',	'',	'',	'2024-01-20 11:24:09',	'2024-04-19 07:33:34'),
(701,	'1',	'20',	'Pivot 101',	'192.168.1.101',	'102',	'S',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2024-01-26 09:18:57',	'2024-02-26 09:07:21'),
(702,	'2',	'20',	'Pivot 2',	'192.168.1.102',	'102',	'S',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2024-01-26 09:18:57',	'2024-02-26 09:07:27'),
(703,	'3',	'20',	'Pivot 3',	'192.168.1.103',	'102',	'S',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2024-01-26 09:18:57',	'2024-02-26 09:07:37'),
(704,	'4',	'20',	'Pivot 4',	'192.168.1.104',	'102',	'S',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2024-01-26 09:18:57',	'2024-02-26 09:07:50'),
(705,	'5',	'20',	'Pivot 5',	'192.168.1.105',	'102',	'S',	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	NULL,	'2024-01-26 09:18:57',	'2024-02-26 09:07:57'),
(706,	'6',	'20',	'Pivot 6',	'192.168.1.106',	'44106',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(707,	'7',	'20',	'Pivot 7',	'192.168.1.107',	'44107',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(708,	'8',	'20',	'Pivot 8',	'192.168.1.108',	'44108',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(709,	'9',	'20',	'Pivot 9',	'192.168.1.109',	'44109',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(710,	'10',	'20',	'Pivot 10',	'192.168.1.110',	'44110',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(711,	'11',	'20',	'Pivot 11',	'192.168.1.111',	'44111',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(712,	'12',	'20',	'Pivot 12',	'192.168.1.112',	'44112',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(713,	'13',	'20',	'Pivot 13',	'192.168.1.113',	'44113',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(714,	'14',	'20',	'Pivot 14',	'192.168.1.114',	'44114',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(715,	'15',	'20',	'Pivot 15',	'192.168.1.115',	'44115',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(716,	'16',	'20',	'Pivot 16',	'192.168.1.116',	'44116',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(717,	'17',	'20',	'Pivot 17',	'192.168.1.117',	'44117',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(718,	'18',	'20',	'Pivot 18',	'192.168.1.118',	'44118',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(719,	'19',	'20',	'Pivot 19',	'192.168.1.119',	'44119',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(720,	'20',	'20',	'Pivot 20',	'192.168.1.120',	'44120',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(721,	'21',	'20',	'Pivot 21',	'192.168.1.121',	'44121',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(722,	'22',	'20',	'Pivot 22',	'192.168.1.122',	'44122',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(723,	'23',	'20',	'Pivot 23',	'192.168.1.123',	'44123',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(724,	'24',	'20',	'Pivot 24',	'192.168.1.124',	'44124',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(725,	'25',	'20',	'Pivot 25',	'192.168.1.125',	'44125',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(726,	'26',	'20',	'Pivot 26',	'192.168.1.126',	'44126',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(727,	'27',	'20',	'Pivot 27',	'192.168.1.127',	'44127',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(728,	'28',	'20',	'Pivot 28',	'192.168.1.128',	'44128',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(729,	'29',	'20',	'Pivot 29',	'192.168.1.129',	'44129',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(730,	'30',	'20',	'Pivot 30',	'192.168.1.130',	'44130',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(731,	'31',	'20',	'Pivot 31',	'192.168.1.131',	'44131',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(732,	'32',	'20',	'Pivot 32',	'192.168.1.132',	'44132',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(733,	'33',	'20',	'Pivot 33',	'192.168.1.133',	'44133',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(734,	'34',	'20',	'Pivot 34',	'192.168.1.134',	'44134',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(735,	'35',	'20',	'Pivot 35',	'192.168.1.135',	'44135',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(736,	'36',	'20',	'Pivot 36',	'192.168.1.136',	'44136',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(737,	'37',	'20',	'Pivot 37',	'192.168.1.137',	'44137',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(738,	'38',	'20',	'Pivot 38',	'192.168.1.138',	'44138',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(739,	'39',	'20',	'Pivot 39',	'192.168.1.139',	'44139',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(740,	'40',	'20',	'Pivot 40',	'192.168.1.140',	'44140',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(741,	'41',	'20',	'Pivot 41',	'192.168.1.141',	'44141',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(742,	'42',	'20',	'Pivot 42',	'192.168.1.142',	'44142',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(743,	'43',	'20',	'Pivot 43',	'192.168.1.143',	'44143',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(744,	'44',	'20',	'Pivot 44',	'192.168.1.144',	'44144',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(745,	'45',	'20',	'Pivot 45',	'192.168.1.145',	'44145',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(746,	'46',	'20',	'Pivot 46',	'192.168.1.146',	'44146',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(747,	'47',	'20',	'Pivot 47',	'192.168.1.147',	'44147',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(748,	'48',	'20',	'Pivot 48',	'192.168.1.148',	'44148',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(749,	'49',	'20',	'Pivot 49',	'192.168.1.149',	'44149',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(750,	'50',	'20',	'Pivot 50',	'192.168.1.150',	'44150',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(751,	'51',	'20',	'Pivot 51',	'192.168.1.151',	'44151',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(752,	'52',	'20',	'Pivot 52',	'192.168.1.152',	'44152',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(753,	'53',	'20',	'Pivot 53',	'192.168.1.153',	'44153',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(754,	'54',	'20',	'Pivot 54',	'192.168.1.154',	'44154',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(755,	'55',	'20',	'Pivot 55',	'192.168.1.155',	'44155',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(756,	'56',	'20',	'Pivot 56',	'192.168.1.156',	'44156',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(757,	'57',	'20',	'Pivot 57',	'192.168.1.157',	'44157',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(758,	'58',	'20',	'Pivot 58',	'192.168.1.158',	'44158',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(759,	'59',	'20',	'Pivot 59',	'192.168.1.159',	'44159',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(760,	'60',	'20',	'Pivot 60',	'192.168.1.160',	'44160',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(761,	'61',	'20',	'Pivot 61',	'192.168.1.161',	'44161',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(762,	'62',	'20',	'Pivot 62',	'192.168.1.162',	'44162',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(763,	'63',	'20',	'Pivot 63',	'192.168.1.163',	'44163',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(764,	'64',	'20',	'Pivot 64',	'192.168.1.164',	'44164',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(765,	'65',	'20',	'Pivot 65',	'192.168.1.165',	'44165',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(766,	'66',	'20',	'Pivot 66',	'192.168.1.166',	'44166',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(767,	'67',	'20',	'Pivot 67',	'192.168.1.167',	'44167',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(768,	'68',	'20',	'Pivot 68',	'192.168.1.168',	'44168',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(769,	'69',	'20',	'Pivot 69',	'192.168.1.169',	'44169',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(770,	'70',	'20',	'Pivot 70',	'192.168.1.170',	'44170',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(771,	'71',	'20',	'Pivot 71',	'192.168.1.171',	'44171',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(772,	'72',	'20',	'Pivot 72',	'192.168.1.172',	'44172',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(773,	'73',	'20',	'Pivot 73',	'192.168.1.173',	'44173',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(774,	'74',	'20',	'Pivot 74',	'192.168.1.174',	'44174',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(775,	'75',	'20',	'Pivot 75',	'192.168.1.175',	'44175',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(776,	'76',	'20',	'Pivot 76',	'192.168.1.176',	'44176',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(777,	'77',	'20',	'Pivot 77',	'192.168.1.177',	'44177',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(778,	'78',	'20',	'Pivot 78',	'192.168.1.178',	'44178',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(779,	'79',	'20',	'Pivot 79',	'192.168.1.179',	'44179',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(780,	'80',	'20',	'Pivot 80',	'192.168.1.180',	'44180',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(781,	'81',	'20',	'Pivot 81',	'192.168.1.181',	'44181',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(782,	'82',	'20',	'Pivot 82',	'192.168.1.182',	'44182',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(783,	'83',	'20',	'Pivot 83',	'192.168.1.183',	'44183',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(784,	'84',	'20',	'Pivot 84',	'192.168.1.184',	'44184',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(785,	'85',	'20',	'Pivot 85',	'192.168.1.185',	'44185',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(786,	'86',	'20',	'Pivot 86',	'192.168.1.186',	'44186',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(787,	'87',	'20',	'Pivot 87',	'192.168.1.187',	'44187',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(788,	'88',	'20',	'Pivot 88',	'192.168.1.188',	'44188',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(789,	'89',	'20',	'Pivot 89',	'192.168.1.189',	'44189',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(790,	'90',	'20',	'Pivot 90',	'192.168.1.190',	'44190',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(791,	'91',	'20',	'Pivot 91',	'192.168.1.191',	'44191',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(792,	'92',	'20',	'Pivot 92',	'192.168.1.192',	'44192',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(793,	'93',	'20',	'Pivot 93',	'192.168.1.193',	'44193',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(794,	'94',	'20',	'Pivot 94',	'192.168.1.194',	'44194',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(795,	'95',	'20',	'Pivot 95',	'192.168.1.195',	'44195',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(796,	'96',	'20',	'Pivot 96',	'192.168.1.196',	'44196',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(797,	'97',	'20',	'Pivot 97',	'192.168.1.197',	'44197',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(798,	'98',	'20',	'Pivot 98',	'192.168.1.198',	'44198',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(799,	'99',	'20',	'Pivot 99',	'192.168.1.199',	'44199',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(800,	'100',	'20',	'Pivot 100',	'192.168.1.200',	'44200',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-01-26 09:18:57',	'2024-01-26 09:18:57'),
(801,	'1',	'29',	'Pivot 1',	'192.168.1.101',	'44101',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(802,	'2',	'29',	'Pivot 2',	'192.168.1.102',	'44818',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(803,	'3',	'29',	'Pivot 3',	'192.168.1.103',	'44103',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(804,	'4',	'29',	'Pivot 4',	'192.168.1.104',	'44818',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(805,	'5',	'29',	'Pivot 5',	'192.168.1.105',	'44105',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(806,	'6',	'29',	'Pivot 6',	'192.168.1.106',	'44106',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(807,	'7',	'29',	'Pivot 7',	'192.168.1.107',	'44107',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(808,	'8',	'29',	'Pivot 8',	'192.168.1.108',	'44108',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(809,	'9',	'29',	'Pivot 9',	'192.168.1.109',	'44109',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(810,	'10',	'29',	'Pivot 10',	'192.168.1.110',	'44110',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(811,	'11',	'29',	'Pivot 11',	'192.168.1.111',	'44111',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(812,	'12',	'29',	'Pivot 12',	'192.168.1.112',	'44112',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(813,	'13',	'29',	'Pivot 13',	'192.168.1.113',	'44113',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(814,	'14',	'29',	'Pivot 14',	'192.168.1.114',	'44114',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(815,	'15',	'29',	'Pivot 15',	'192.168.1.115',	'44115',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(816,	'16',	'29',	'Pivot 16',	'192.168.1.116',	'44116',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(817,	'17',	'29',	'Pivot 17',	'192.168.1.117',	'44117',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(818,	'18',	'29',	'Pivot 18',	'192.168.1.118',	'44118',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(819,	'19',	'29',	'Pivot 19',	'192.168.1.119',	'44119',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(820,	'20',	'29',	'Pivot 20',	'192.168.1.120',	'44120',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(821,	'21',	'29',	'Pivot 21',	'192.168.1.121',	'44121',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(822,	'22',	'29',	'Pivot 22',	'192.168.1.122',	'44122',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(823,	'23',	'29',	'Pivot 23',	'192.168.1.123',	'44123',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(824,	'24',	'29',	'Pivot 24',	'192.168.1.124',	'44124',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(825,	'25',	'29',	'Pivot 25',	'192.168.1.125',	'44125',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(826,	'26',	'29',	'Pivot 26',	'192.168.1.126',	'44126',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(827,	'27',	'29',	'Pivot 27',	'192.168.1.127',	'44127',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(828,	'28',	'29',	'Pivot 28',	'192.168.1.128',	'44128',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(829,	'29',	'29',	'Pivot 29',	'192.168.1.129',	'44129',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(830,	'30',	'29',	'Pivot 30',	'192.168.1.130',	'44130',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(831,	'31',	'29',	'Pivot 31',	'192.168.1.131',	'44131',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(832,	'32',	'29',	'Pivot 32',	'192.168.1.132',	'44132',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(833,	'33',	'29',	'Pivot 33',	'192.168.1.133',	'44133',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(834,	'34',	'29',	'Pivot 34',	'192.168.1.134',	'44134',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(835,	'35',	'29',	'Pivot 35',	'192.168.1.135',	'44135',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(836,	'36',	'29',	'Pivot 36',	'192.168.1.136',	'44136',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(837,	'37',	'29',	'Pivot 37',	'192.168.1.137',	'44137',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(838,	'38',	'29',	'Pivot 38',	'192.168.1.138',	'44138',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(839,	'39',	'29',	'Pivot 39',	'192.168.1.139',	'44139',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(840,	'40',	'29',	'Pivot 40',	'192.168.1.140',	'44140',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(841,	'41',	'29',	'Pivot 41',	'192.168.1.141',	'44141',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(842,	'42',	'29',	'Pivot 42',	'192.168.1.142',	'44142',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(843,	'43',	'29',	'Pivot 43',	'192.168.1.143',	'44143',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(844,	'44',	'29',	'Pivot 44',	'192.168.1.144',	'44144',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(845,	'45',	'29',	'Pivot 45',	'192.168.1.145',	'44145',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(846,	'46',	'29',	'Pivot 46',	'192.168.1.146',	'44146',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(847,	'47',	'29',	'Pivot 47',	'192.168.1.147',	'44147',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(848,	'48',	'29',	'Pivot 48',	'192.168.1.148',	'44148',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(849,	'49',	'29',	'Pivot 49',	'192.168.1.149',	'44149',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(850,	'50',	'29',	'Pivot 50',	'192.168.1.150',	'44150',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(851,	'51',	'29',	'Pivot 51',	'192.168.1.151',	'44151',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(852,	'52',	'29',	'Pivot 52',	'192.168.1.152',	'44152',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(853,	'53',	'29',	'Pivot 53',	'192.168.1.153',	'44153',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(854,	'54',	'29',	'Pivot 54',	'192.168.1.154',	'44154',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(855,	'55',	'29',	'Pivot 55',	'192.168.1.155',	'44155',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(856,	'56',	'29',	'Pivot 56',	'192.168.1.156',	'44156',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(857,	'57',	'29',	'Pivot 57',	'192.168.1.157',	'44157',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(858,	'58',	'29',	'Pivot 58',	'192.168.1.158',	'44158',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(859,	'59',	'29',	'Pivot 59',	'192.168.1.159',	'44159',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(860,	'60',	'29',	'Pivot 60',	'192.168.1.160',	'44160',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(861,	'61',	'29',	'Pivot 61',	'192.168.1.161',	'44161',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(862,	'62',	'29',	'Pivot 62',	'192.168.1.162',	'44162',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(863,	'63',	'29',	'Pivot 63',	'192.168.1.163',	'44163',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(864,	'64',	'29',	'Pivot 64',	'192.168.1.164',	'44164',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(865,	'65',	'29',	'Pivot 65',	'192.168.1.165',	'44165',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(866,	'66',	'29',	'Pivot 66',	'192.168.1.166',	'44166',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(867,	'67',	'29',	'Pivot 67',	'192.168.1.167',	'44167',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(868,	'68',	'29',	'Pivot 68',	'192.168.1.168',	'44168',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(869,	'69',	'29',	'Pivot 69',	'192.168.1.169',	'44169',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(870,	'70',	'29',	'Pivot 70',	'192.168.1.170',	'44170',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(871,	'71',	'29',	'Pivot 71',	'192.168.1.171',	'44171',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(872,	'72',	'29',	'Pivot 72',	'192.168.1.172',	'44172',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(873,	'73',	'29',	'Pivot 73',	'192.168.1.173',	'44173',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(874,	'74',	'29',	'Pivot 74',	'192.168.1.174',	'44174',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(875,	'75',	'29',	'Pivot 75',	'192.168.1.175',	'44175',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(876,	'76',	'29',	'Pivot 76',	'192.168.1.176',	'44176',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(877,	'77',	'29',	'Pivot 77',	'192.168.1.177',	'44177',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(878,	'78',	'29',	'Pivot 78',	'192.168.1.178',	'44178',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(879,	'79',	'29',	'Pivot 79',	'192.168.1.179',	'44179',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(880,	'80',	'29',	'Pivot 80',	'192.168.1.180',	'44180',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(881,	'81',	'29',	'Pivot 81',	'192.168.1.181',	'44181',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(882,	'82',	'29',	'Pivot 82',	'192.168.1.182',	'44182',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(883,	'83',	'29',	'Pivot 83',	'192.168.1.183',	'44183',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(884,	'84',	'29',	'Pivot 84',	'192.168.1.184',	'44184',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(885,	'85',	'29',	'Pivot 85',	'192.168.1.185',	'44185',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(886,	'86',	'29',	'Pivot 86',	'192.168.1.186',	'44186',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(887,	'87',	'29',	'Pivot 87',	'192.168.1.187',	'44187',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(888,	'88',	'29',	'Pivot 88',	'192.168.1.188',	'44188',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(889,	'89',	'29',	'Pivot 89',	'192.168.1.189',	'44189',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(890,	'90',	'29',	'Pivot 90',	'192.168.1.190',	'44190',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(891,	'91',	'29',	'Pivot 91',	'192.168.1.191',	'44191',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(892,	'92',	'29',	'Pivot 92',	'192.168.1.192',	'44192',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(893,	'93',	'29',	'Pivot 93',	'192.168.1.193',	'44193',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(894,	'94',	'29',	'Pivot 94',	'192.168.1.194',	'44194',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(895,	'95',	'29',	'Pivot 95',	'192.168.1.195',	'44195',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(896,	'96',	'29',	'Pivot 96',	'192.168.1.196',	'44196',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(897,	'97',	'29',	'Pivot 97',	'192.168.1.197',	'44197',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(898,	'98',	'29',	'Pivot 98',	'192.168.1.198',	'44198',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(899,	'99',	'29',	'Pivot 99',	'192.168.1.199',	'44199',	'S',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01'),
(900,	'100',	'29',	'Pivot 100',	'192.168.1.200',	'44200',	'M',	'',	'',	'',	'',	'',	'',	'',	'',	'',	'2024-02-20 01:43:01',	'2024-02-20 01:43:01');

DROP TABLE IF EXISTS `products`;
CREATE TABLE `products` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  `price` decimal(15,2) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


DROP TABLE IF EXISTS `role_user`;
CREATE TABLE `role_user` (
  `user_id` int unsigned NOT NULL,
  `role_id` int unsigned NOT NULL,
  KEY `role_user_user_id_foreign` (`user_id`),
  KEY `role_user_role_id_foreign` (`role_id`),
  CONSTRAINT `role_user_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`),
  CONSTRAINT `role_user_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `role_user` (`user_id`, `role_id`) VALUES
(1,	1),
(10,	2);

DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `roles` (`id`, `title`, `created_at`, `updated_at`, `deleted_at`) VALUES
(1,	'Admin',	'2019-04-15 13:43:32',	'2019-04-15 13:43:32',	NULL),
(2,	'User',	'2019-04-15 13:43:32',	'2019-04-15 13:43:32',	NULL);

DROP TABLE IF EXISTS `user_logs`;
CREATE TABLE `user_logs` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `data` longtext CHARACTER SET utf8mb4 COLLATE utf8mb4_bin NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  CONSTRAINT `user_logs_chk_1` CHECK (json_valid(`data`))
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `user_logs` (`id`, `user_id`, `action`, `data`, `created_at`, `updated_at`) VALUES
(1,	'10',	'update_pivot',	'{\"email\":\"pks891618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-04 18:49:23',	'2024-01-04 18:49:23'),
(2,	'null',	'user_login_details',	'{\"email\":\"pks891d618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-05 10:10:01',	'2024-01-05 10:10:01'),
(3,	'null',	'user_login_details',	'{\"email\":\"pks891d618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-05 10:17:09',	'2024-01-05 10:17:09'),
(4,	'null',	'user_login_details',	'{\"email\":\"twyewds@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-05 10:19:55',	'2024-01-05 10:19:55'),
(5,	'null',	'user_login_details',	'{\"{\\\"email\\\":_\\\"admin@admin_com\\\",_\\\"password\\\":_\\\"password\\\"}\":null}',	'2024-01-05 18:06:10',	'2024-01-05 18:06:10'),
(6,	'null',	'user_login_details',	'{\"{\\\"{email:admin@admin_com_,_password:password}\\\":_\\\"\\\"}\":null}',	'2024-01-05 18:09:07',	'2024-01-05 18:09:07'),
(7,	'null',	'user_login_details',	'{\"{\\\"email\\\":_\\\"twyewds@gmail_com\\\",_\\\"password\\\":_\\\"pks891618@gmail_com\\\"}\":null}',	'2024-01-05 20:38:25',	'2024-01-05 20:38:25'),
(8,	'null',	'user_login_details',	'{\"{\\\"admin@admin_com\\\":\\\"password\\\"}\":null}',	'2024-01-06 00:24:32',	'2024-01-06 00:24:32'),
(9,	'null',	'user_login_details',	'{\"{\\\"admin@admin_com\\\":\\\"password\\\"}\":null}',	'2024-01-06 00:27:47',	'2024-01-06 00:27:47'),
(10,	'null',	'user_login_details',	'{\"{admin@admin_com:password}\":null}',	'2024-01-06 00:39:39',	'2024-01-06 00:39:39'),
(11,	'null',	'user_login_details',	'{\"admin@admin_com:password\":null}',	'2024-01-06 00:40:33',	'2024-01-06 00:40:33'),
(12,	'null',	'user_login_details',	'{\"email:admin@admin_compassword:password\":null}',	'2024-01-06 00:42:49',	'2024-01-06 00:42:49'),
(13,	'null',	'user_login_details',	'{\"email:\\\"admin@admin_compassword:password\":null}',	'2024-01-06 00:44:16',	'2024-01-06 00:44:16'),
(14,	'null',	'user_login_details',	'{\"email\\\":admin@admin_compassword:password\":null}',	'2024-01-06 00:45:29',	'2024-01-06 00:45:29'),
(15,	'null',	'user_login_details',	'{\"email\\\":admin@admin_compassword\\\":password\":null}',	'2024-01-06 00:49:16',	'2024-01-06 00:49:16'),
(16,	'null',	'user_login_details',	'{\"email\\\":admin@admin_compassword\\\":password\":null}',	'2024-01-06 00:50:30',	'2024-01-06 00:50:30'),
(17,	'null',	'user_login_details',	'{\"email\\\":admin@admin_compassword\\\":password\":null}',	'2024-01-06 00:52:46',	'2024-01-06 00:52:46'),
(18,	'null',	'user_login_details',	'{\"email\\\":admin@admin_compassword\\\":password\":null}',	'2024-01-06 00:59:57',	'2024-01-06 00:59:57'),
(19,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":password\\\"\":null}',	'2024-01-06 01:04:33',	'2024-01-06 01:04:33'),
(20,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":password\":null}',	'2024-01-06 01:34:58',	'2024-01-06 01:34:58'),
(21,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":password\":null}',	'2024-01-06 01:35:56',	'2024-01-06 01:35:56'),
(22,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":\\\"password\":null}',	'2024-01-06 01:36:54',	'2024-01-06 01:36:54'),
(23,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":\\\"password\":null}',	'2024-01-06 01:37:59',	'2024-01-06 01:37:59'),
(24,	'null',	'user_login_details',	'{\"admin@admin_com\":null}',	'2024-01-06 01:43:43',	'2024-01-06 01:43:43'),
(25,	'null',	'user_login_details',	'{\"email:admin@admin_com,password:password\":null}',	'2024-01-06 01:47:49',	'2024-01-06 01:47:49'),
(26,	'null',	'user_login_details',	'{\"email:admin@admin_compassword:password\":null}',	'2024-01-06 02:14:39',	'2024-01-06 02:14:39'),
(27,	'null',	'user_login_details',	'{\"email\\\":admin@admin_compassword:password\":null}',	'2024-01-06 02:15:49',	'2024-01-06 02:15:49'),
(28,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin_com,\\\"password\\\":\\\"password\":null}',	'2024-01-06 02:18:05',	'2024-01-06 02:18:05'),
(29,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":\\\"password\":null}',	'2024-01-06 02:18:56',	'2024-01-06 02:18:56'),
(30,	'null',	'user_login_details',	'{\"email\\\":\\\"admin@admin\\\\_com\\\",\\\"password\\\":\\\"password\":null}',	'2024-01-06 03:08:58',	'2024-01-06 03:08:58'),
(31,	'null',	'user_login_details',	'{\"admin@admin\\\\_com:password\":null}',	'2024-01-06 07:24:39',	'2024-01-06 07:24:39'),
(32,	'null',	'user_login_details',	'{\"{\\\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":\\\"password\\\"}\":null}',	'2024-01-06 07:37:22',	'2024-01-06 07:37:22'),
(33,	'null',	'user_login_details',	'{\"{\\\"email\\\":\\\"admin@admin_com\\\",\\\"password\\\":\\\"password\\\"}\":null}',	'2024-01-06 07:39:57',	'2024-01-06 07:39:57'),
(34,	'null',	'user_login_details',	'{\"email\":\"admin@admin.com\",\"password\":\"password\"}',	'2024-01-10 16:06:48',	'2024-01-10 16:06:48'),
(35,	'null',	'user_login_details',	'{\"email\":\"admin@admi1n.com\",\"password\":\"password\"}',	'2024-01-10 16:14:49',	'2024-01-10 16:14:49'),
(36,	'null',	'user_login_details',	'[]',	'2024-01-12 04:09:44',	'2024-01-12 04:09:44'),
(37,	'null',	'user_login_details',	'[]',	'2024-01-12 04:13:00',	'2024-01-12 04:13:00'),
(38,	'null',	'user_login_details',	'{\"email\":\"admin@admin.com\",\"password\":\"password\"}',	'2024-01-12 04:14:06',	'2024-01-12 04:14:06'),
(39,	'null',	'user_login_details',	'{\"email\":\"admin@admin.com\",\"password\":\"password\"}',	'2024-01-12 04:14:31',	'2024-01-12 04:14:31'),
(40,	'null',	'user_login_details',	'{\"email\":\"pks891618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-12 04:15:37',	'2024-01-12 04:15:37'),
(41,	'null',	'user_login_details',	'{\"email\":\"admin@admin.com\",\"password\":\"password\"}',	'2024-01-12 04:16:06',	'2024-01-12 04:16:06'),
(42,	'null',	'user_login_details',	'{\"email\":\"pks891618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-12 04:17:05',	'2024-01-12 04:17:05'),
(43,	'null',	'user_login_details',	'{\"email\":\"pks891618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-12 04:23:31',	'2024-01-12 04:23:31'),
(44,	'null',	'user_login_details',	'{\"email\":\"pks891618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-12 04:23:57',	'2024-01-12 04:23:57'),
(45,	'null',	'user_login_details',	'[]',	'2024-01-12 04:24:47',	'2024-01-12 04:24:47'),
(46,	'null',	'user_login_details',	'[]',	'2024-01-12 04:25:59',	'2024-01-12 04:25:59'),
(47,	'null',	'user_login_details',	'[]',	'2024-01-12 04:30:36',	'2024-01-12 04:30:36'),
(48,	'null',	'user_login_details',	'{\"email\":\"pks891618@gmail.com\",\"password\":\"pks891618@gmail.com\"}',	'2024-01-12 04:31:26',	'2024-01-12 04:31:26'),
(49,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-19 10:06:08',	'2024-01-19 10:06:08'),
(50,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"admin@admin.com\\\",\\\"password\\\":\\\"password\\\"}\"',	'2024-01-19 10:06:19',	'2024-01-19 10:06:19'),
(51,	'null',	'user_login_details',	'\"{\\\"{0:_\\\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail_com\\\"}\\\",_1:_\\\"adminpassword\\\"}\\\"}\"',	'2024-01-20 00:29:09',	'2024-01-20 00:29:09'),
(52,	'null',	'user_login_details',	'\"{\\\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail_com\\\"}\\\"}\"',	'2024-01-20 00:29:44',	'2024-01-20 00:29:44'),
(53,	'null',	'user_login_details',	'\"{\\\"{\\\"email\\\":_pks891618@gmail.com,.\\\"password\\\":.pks891618@gmail_com}\\\"}\"',	'2024-01-20 00:30:36',	'2024-01-20 00:30:36'),
(54,	'null',	'user_login_details',	'\"{\\\"\\\"email\\\":_pks891618@gmail.com,.\\\"password\\\":.pks891618@gmail_com\\\"}\"',	'2024-01-20 00:31:38',	'2024-01-20 00:31:38'),
(55,	'null',	'user_login_details',	'\"{\\\"email\\\":_pks891618@gmail.com,.\\\"password\\\":.pks891618@gmail_com\\\"}\"',	'2024-01-20 00:32:14',	'2024-01-20 00:32:14'),
(56,	'null',	'user_login_details',	'\"{\\\"email\\\":pks891618@gmail.com,.\\\"password\\\":.pks891618@gmail_com\\\"}\"',	'2024-01-20 00:32:42',	'2024-01-20 00:32:42'),
(57,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"_pks891618@gmail.com,.\\\"password\\\":.pks891618@gmail_com\\\"}\"',	'2024-01-20 00:33:21',	'2024-01-20 00:33:21'),
(58,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com,.\\\"password\\\":.pks891618@gmail_com\\\"}\"',	'2024-01-20 00:33:41',	'2024-01-20 00:33:41'),
(59,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",.\\\"password\\\":\\\"pks891618@gmail_com\\\"}\"',	'2024-01-20 00:34:53',	'2024-01-20 00:34:53'),
(60,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",.\\\"password\\\":\\\"Ivyavv1987\\\"}\"',	'2024-01-20 00:35:39',	'2024-01-20 00:35:39'),
(61,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"Ivyavv1987\\\"}\"',	'2024-01-20 00:36:35',	'2024-01-20 00:36:35'),
(62,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"Ivyavv1987\\\"}\"',	'2024-01-20 00:36:39',	'2024-01-20 00:36:39'),
(63,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-20 00:38:12',	'2024-01-20 00:38:12'),
(64,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"admin@admin.com\\\",\\\"password\\\":\\\"password\\\"}\"',	'2024-01-20 00:39:20',	'2024-01-20 00:39:20'),
(65,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-20 12:18:28',	'2024-01-20 12:18:28'),
(66,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-20 12:49:06',	'2024-01-20 12:49:06'),
(67,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-20 12:49:20',	'2024-01-20 12:49:20'),
(68,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:50:00',	'2024-01-20 12:50:00'),
(69,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:50:35',	'2024-01-20 12:50:35'),
(70,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:51:15',	'2024-01-20 12:51:15'),
(71,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:51:57',	'2024-01-20 12:51:57'),
(72,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:52:05',	'2024-01-20 12:52:05'),
(73,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-20 12:54:16',	'2024-01-20 12:54:16'),
(74,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:54:27',	'2024-01-20 12:54:27'),
(75,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:54:46',	'2024-01-20 12:54:46'),
(76,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:55:47',	'2024-01-20 12:55:47'),
(77,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-01-20 12:56:26',	'2024-01-20 12:56:26'),
(78,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"admin@admin.com\\\",\\\"password\\\":\\\"password\\\"}\"',	'2024-01-22 08:05:45',	'2024-01-22 08:05:45'),
(79,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-22 09:47:16',	'2024-01-22 09:47:16'),
(80,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-22 09:47:21',	'2024-01-22 09:47:21'),
(81,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891s618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-22 09:47:42',	'2024-01-22 09:47:42'),
(82,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-01-22 09:48:09',	'2024-01-22 09:48:09'),
(83,	'null',	'user_login_details',	'\"{\\\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\\\"}\"',	'2024-01-22 20:19:22',	'2024-01-22 20:19:22'),
(84,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-22 20:19:40',	'2024-01-22 20:19:40'),
(85,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"admin@admin.com\\\",\\\"password\\\":\\\"password\\\"}\"',	'2024-01-22 20:22:42',	'2024-01-22 20:22:42'),
(86,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-22 20:23:43',	'2024-01-22 20:23:43'),
(87,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-22 22:53:39',	'2024-01-22 22:53:39'),
(88,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 01:49:20',	'2024-01-23 01:49:20'),
(89,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 01:53:50',	'2024-01-23 01:53:50'),
(90,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 01:55:19',	'2024-01-23 01:55:19'),
(91,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 08:02:16',	'2024-01-23 08:02:16'),
(92,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 08:09:46',	'2024-01-23 08:09:46'),
(93,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 09:35:21',	'2024-01-23 09:35:21'),
(94,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 09:43:37',	'2024-01-23 09:43:37'),
(95,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-23 10:00:27',	'2024-01-23 10:00:27'),
(96,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-01-26 09:01:27',	'2024-01-26 09:01:27'),
(97,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-01-28 07:14:37',	'2024-01-28 07:14:37'),
(98,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-01-28 07:16:32',	'2024-01-28 07:16:32'),
(99,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-01-28 08:25:50',	'2024-01-28 08:25:50'),
(100,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-01-28 08:37:47',	'2024-01-28 08:37:47'),
(101,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-01-28 09:05:57',	'2024-01-28 09:05:57'),
(102,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-01-28 09:07:34',	'2024-01-28 09:07:34'),
(103,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-01-28 09:11:10',	'2024-01-28 09:11:10'),
(104,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-02 19:37:46',	'2024-02-02 19:37:46'),
(105,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"\\\"}\"',	'2024-02-04 08:20:51',	'2024-02-04 08:20:51'),
(106,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-04 08:21:00',	'2024-02-04 08:21:00'),
(107,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-11 00:43:44',	'2024-02-11 00:43:44'),
(108,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-11 01:28:09',	'2024-02-11 01:28:09'),
(109,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-11 01:30:23',	'2024-02-11 01:30:23'),
(110,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-11 02:00:20',	'2024-02-11 02:00:20'),
(111,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"Ivyavv1987\\\"}\"',	'2024-02-11 19:11:34',	'2024-02-11 19:11:34'),
(112,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"Ivyavv1987\\\"}\"',	'2024-02-11 19:11:39',	'2024-02-11 19:11:39'),
(113,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-11 19:12:33',	'2024-02-11 19:12:33'),
(114,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-12 05:23:31',	'2024-02-12 05:23:31'),
(115,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-12 05:24:44',	'2024-02-12 05:24:44'),
(116,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-12 08:56:18',	'2024-02-12 08:56:18'),
(117,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-13 08:22:39',	'2024-02-13 08:22:39'),
(118,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-14 07:24:12',	'2024-02-14 07:24:12'),
(119,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-14 07:26:01',	'2024-02-14 07:26:01'),
(120,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-14 07:26:07',	'2024-02-14 07:26:07'),
(121,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-14 08:29:50',	'2024-02-14 08:29:50'),
(122,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-14 09:14:43',	'2024-02-14 09:14:43'),
(123,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-14 09:15:55',	'2024-02-14 09:15:55'),
(124,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"\\\"}\"',	'2024-02-14 22:57:27',	'2024-02-14 22:57:27'),
(125,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-14 22:57:47',	'2024-02-14 22:57:47'),
(126,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-15 00:00:45',	'2024-02-15 00:00:45'),
(127,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-15 00:23:31',	'2024-02-15 00:23:31'),
(128,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-15 00:36:00',	'2024-02-15 00:36:00'),
(129,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-15 00:43:24',	'2024-02-15 00:43:24'),
(130,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-15 01:27:41',	'2024-02-15 01:27:41'),
(131,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"lovepreet@vqcodes.com\\\",\\\"password\\\":\\\"lovepreet@vqcodes.com\\\"}\"',	'2024-02-16 09:44:40',	'2024-02-16 09:44:40'),
(132,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-02-16 09:45:11',	'2024-02-16 09:45:11'),
(133,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-02-16 10:28:29',	'2024-02-16 10:28:29'),
(134,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-02-16 10:56:08',	'2024-02-16 10:56:08'),
(135,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-16 11:08:53',	'2024-02-16 11:08:53'),
(136,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-16 11:09:17',	'2024-02-16 11:09:17'),
(137,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Ggmaendel@gmail.com\\\",\\\"password\\\":\\\"\\\"}\"',	'2024-02-16 21:14:58',	'2024-02-16 21:14:58'),
(138,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-16 21:15:03',	'2024-02-16 21:15:03'),
(139,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"\\\"}\"',	'2024-02-16 21:15:33',	'2024-02-16 21:15:33'),
(140,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-02-16 21:15:36',	'2024-02-16 21:15:36'),
(141,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-02-16 21:15:37',	'2024-02-16 21:15:37'),
(142,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-02-16 21:20:41',	'2024-02-16 21:20:41'),
(143,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-02-16 21:20:53',	'2024-02-16 21:20:53'),
(144,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-16 22:05:11',	'2024-02-16 22:05:11'),
(145,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-02-16 22:08:14',	'2024-02-16 22:08:14'),
(146,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"Gmaendel@gmail.com\\\",\\\"password\\\":\\\"kUkjon-nezpux-pabfy2\\\"}\"',	'2024-02-16 22:12:19',	'2024-02-16 22:12:19'),
(147,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-16 22:32:00',	'2024-02-16 22:32:00'),
(148,	'null',	'user_login_details',	'\"{\\\"name\\\":\\\"Manpreet\\\",\\\"email\\\":\\\"manpreet@gmail.com\\\",\\\"password\\\":\\\"manpreet@gmail.com\\\"}\"',	'2024-02-19 10:39:12',	'2024-02-19 10:39:12'),
(149,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"manpreet@gmail.com\\\",\\\"password\\\":\\\"manpreet@gmail.com\\\"}\"',	'2024-02-19 10:39:31',	'2024-02-19 10:39:31'),
(150,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-20 18:38:00',	'2024-02-20 18:38:00'),
(151,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"pks891618@gmail.com\\\",\\\"password\\\":\\\"pks891618@gmail.com\\\"}\"',	'2024-02-24 03:51:54',	'2024-02-24 03:51:54'),
(152,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-25 03:06:12',	'2024-02-25 03:06:12'),
(153,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 04:18:05',	'2024-02-26 04:18:05'),
(154,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 04:19:09',	'2024-02-26 04:19:09'),
(155,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 04:19:15',	'2024-02-26 04:19:15'),
(156,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 08:37:17',	'2024-02-26 08:37:17'),
(157,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 08:37:17',	'2024-02-26 08:37:17'),
(158,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 08:39:27',	'2024-02-26 08:39:27'),
(159,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 08:39:30',	'2024-02-26 08:39:30'),
(160,	'null',	'user_login_details',	'\"{\\\"email\\\":\\\"greg@ritecontrol.com\\\",\\\"password\\\":\\\"nowgym-rokxag-7hUfmi\\\"}\"',	'2024-02-26 09:08:04',	'2024-02-26 09:08:04');

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` datetime DEFAULT NULL,
  `password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `remember_token` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `json_data` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `users` (`id`, `name`, `email`, `email_verified_at`, `password`, `remember_token`, `created_at`, `updated_at`, `deleted_at`, `json_data`) VALUES
(1,	'Admin',	'admin@admin.com',	NULL,	'$2y$10$imU.Hdz7VauIT3LIMCMbsOXvaaTQg6luVqkhfkBcsUd.SJW2XSRKO',	NULL,	'2019-04-15 13:43:32',	'2019-04-15 13:43:32',	NULL,	NULL),
(10,	'Pankaj',	'pks891618@gmail.com',	NULL,	'$2y$10$PGthQ7WsOSLjvzFJWweXSOfgdCf1gNjXaLH0V1JCtUBS5b7L7Ij8e',	'39tsdOYC78phBFkvHsD4KLyN20XMExDCiQ3cBUrNB0u5Mmu00WSiPrX7GuuA',	'2023-12-27 06:16:41',	'2023-12-27 18:19:19',	NULL,	NULL),
(18,	'Gregory T Maendel',	'gmaendel@gmail.com',	NULL,	'$2y$10$nGpLLt5.DHwU6z4r/.CxMOsWfoRUOvN4a6WGXL1e09Cs9RKr0K1C.',	NULL,	'2023-12-30 19:42:10',	'2023-12-30 19:42:10',	NULL,	NULL),
(19,	'Lovepreet',	'lovepreet@vqcodes.com',	NULL,	'$2y$10$R0DihFVUHYadMBKqF.N5pO82JU3bS9QiHaOqRkM3lF3VK9P5z/QkW',	NULL,	'2024-01-20 11:24:09',	'2024-01-20 11:24:09',	NULL,	NULL),
(20,	'Greg',	'greg@ritecontrol.com',	NULL,	'$2y$10$IXmjpYcFurhrJMVWKIcHTuuR8qRPcMhWaARDHA4GpCMrXjtvzHvSS',	NULL,	'2024-01-26 09:18:56',	'2024-01-26 09:18:56',	NULL,	NULL),
(23,	'Manpreet',	'manpreet@gmail.com',	NULL,	'$2y$10$5KxIvBIeWsWni3B3Ok9Is.oMoeIrl.HvchGwMiOLpsmFpihulnhHa',	NULL,	'2024-02-19 10:38:42',	'2024-02-19 10:38:42',	NULL,	NULL);

DROP TABLE IF EXISTS `your_model_names`;
CREATE TABLE `your_model_names` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `file` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;


-- 2024-04-19 13:05:11
